# Thunderbird+

* Autoři: Pierre-Louis Renaud (od Thunderbirdu 78 do 102) & Cyrille Bougot (TB 102), Daniel Poiraud (od TB 78 do 91), Yannick (TB 45 až 60);
* URL: [Uživatelská příručka][4];
  [Historie změn na RPTools.org][5];
  [Kontakt ve francouzštině nebo angličtině][6];
* Stáhnout [stabilní verze][1]
* Stáhnout [nejnovější verzi z RPTools.org][3];
* Kompatibilita s NVDA: 2019.3 a novější;
* Kompatibilita Thunderbird: verze 102.x;
* [Zdrojový kód na gitHub][2]

## Popis

Tento doplněk výrazně zlepšuje pohodlí a efektivní použití klienta pro zasílání zpráv Mozilla Thunderbird s NVDA.

Vylepšení se týkají následujících aspektů:

### Sluchový komfort

* Upozornění jako „tak a tak si vyžádali potvrzení o vrácení“ lze deaktivovat pomocí volby;
* Upozornění „Toto je koncept“ a „Thunderbird si myslí, že tato zpráva je podvodná“ jsou jednoduše v tichosti zamítnuta;
* Možnosti vám umožňují zakázat oznamování jmen e-mailových konferencí, odstranit nebo seskupit zmínky „RE“ a vyčistit jména korespondentů odstraněním čísel a dalších nepříjemných speciálních znaků;

### Navigace v hlavním okně

* Přesun na další panel se provádí pomocí klávesy TAB, zatímco klávesa Escape se vrátí na předchozí panel. To je pohodlnější než pomocí F6 a Shift+F6.
* Výběr karet pomocí Ctrl+Tab a Ctrl+číslo se vyslovuje jako v tomto příkladu: Karta 1 ze 4, doručená pošta;
* Klávesová zkratka vám umožňuje zobrazit seznam karet v nabídce, abyste mohli jednu z nich snadno aktivovat;
* Klávesová zkratka se používá k zobrazení kontextové nabídky panelu záložek;

### Zobrazení stromu složek

* Alt+šipka dolů a Alt+šipka nahoru umožňují navigaci mezi složkami obsahujícími nepřečtené zprávy;
* Zadáním písmene nebo čísla vyberete další složku, jejíž název začíná tímto znakem. Pomocí klávesy Shift se pohyb provádí zdola nahoru. Kromě toho je oznámen název účtu, ke kterému složka patří;
* Stisknutím mezerníku na složce obsahující nepřečtené zprávy vyberete první nepřečtenou zprávu ze seznamu zpráv;
* Dva dialogy pro účty a jejich přidružené složky umožňují filtrovat je podle klíčových slov nebo zobrazovat pouze složky s nepřečtenými zprávami;

### Seznam zpráv

* Výběr sloupců a jejich rozložení v seznamu zpráv je zpřístupněn prostřednictvím jednoduchého dialogu;
* Zobrazení sloupců seznamu zpráv: klávesové zkratky vám umožňují snadno poslouchat, hláskovat nebo kopírovat jméno odesílatele, předmět zprávy nebo její datum zadáním číslice na alfanumerické klávesnici. Například jediné stisknutí 1 nebo & oznámí odesílatele, dvě stisknutí vyhláskují jméno a tři stisknutí jej zkopírují do schránky;
* Zobrazení záhlaví v podokně záhlaví zobrazeného pomocí F8: s Alt + číslice, 1 stisknutí oznámí jakékoli záhlaví obsahující adresy odesílatele nebo příjemce, 2 stisknutí otevře dialog pro jejich zkopírování, 3 stisknutí otevře nativní kontextovou nabídku Thunderbirdu spojenou se záhlavím ;
* Vyčištěný rychlý náhled textu zprávy pomocí mezerníku, Alt+šipka dolů nebo F4: Velké bloky záhlaví v uvozovkách zprávy jsou nahrazeny frází „Jméno odesílatele napsal“. NVDA také oznámí "klikací odkaz" místo dlouhé adresy odkazu.
* Rychlý přehled citací v chronologickém pořadí zdola nahoru pomocí Shift+Mezerník, Alt+šipka nahoru nebo Shift+F4;
* Snadný přístup k přílohám pomocí zkratky Alt+page down nebo pomocí čísla 1 na alfanumerické klávesnici;

### Panel rychlého filtru a správa prioritních značek

* Možnosti filtrování je možné procházet svislými šipkami. Klávesa Enter se používá ke kontrole nebo zrušení zaškrtnutí filtru;
* Přidání nebo odebrání štítků se provádí pouhým stisknutím Shift+ číslice na alfanumerické klávesnici. Například stisknutím Shift+4 přidáte ke zprávě značku „To Do“. Poté můžete filtrovat seznam zpráv podle značky pomocí lišty rychlého filtru, která je tedy přístupná;

### Okno pro psaní zpráv

Alt+1 oznámí odesílatele, Alt+2 oznámí příjemce, Alt+3 oznámí přílohy atd. Dvě stisknutí umístí fokus na jedno z těchto polí;

### Dialog pro kontrolu pravopisu

* Chybně napsané slovo je oznámeno s pravopisem nebo bez něj před navrhovaným slovem. Klávesové zkratky NVDA+Tab nebo Alt+šipka nahoru oznamují chybně napsaná slova a nahrazují je: 1 stisknutí hláskuje slova normální rychlostí, 2 stisknutí je vyhláskuje rychle, 3 stisknutí zkopíruje špatně napsané slovo do schránky pro analýzu v jiném editačním poli;
* Různé kombinace zahrnující klávesu Enter spouštějí tlačítka Nahradit, Nahradit vše, Ignorovat, Ignorovat vše nebo Přidat slovo do slovníku pro ještě větší pohodlí v tomto dialogu;

### Automatická aktualizace

ThunderbirdPlus obsahuje nezávislý systém automatických aktualizací s funkcemi deaktivace/reaktivace a odložení;

### Operace ze strany na stranu s Chichi

ThunderbirdPlus je navržen tak, aby bezproblémově spolupracoval s Chichi, doplňkem, který se instaluje přímo do Thunderbirdu.

Přečtěte si o tom na [stránce Chichi][7];


A mnoho dalších věcí, které zjistíte při čtení [uživatelská příručka][4];

<!-- Translators : in the links 4, 5 and 7 below, where you see lang=en, replace en with your language code -->

[1]: https://github.com/RPTools-org/ThunderbirdPlus/releases/download/v4.9.5/thunderbirdPlus-4.9.5-TB102.nvda-addon

[2]: https://github.com/RPTools-org/ThunderbirdPlus/

[3]: https://www.rptools.org/?p=8610

[4]: https://www.rptools.org/NVDA-Thunderbird/get.php?pg=manual&lang=cs

[5]: https://www.rptools.org/NVDA-Thunderbird/get.php?pg=changes&lang=cs

[6]: https://www.rptools.org/NVDA-Thunderbird/toContact.html

[7]: https://www.rptools.org/NVDA-Thunderbird/get.php?pg=chichi&lang=cs
