# Thunderbird+
* Autoři: Pierre-Louis Renaud (od Thunderbirdu 78 do 102) & Cyrille Bougot (TB 102), Daniel Poiraud (od TB 78 do 91), Yannick (TB 45 až 60);
* URL: [Uživatelská příručka][4] ;
  [Historie změn na RPTools.org][5] ;
  [Kontakt ve francouzštině nebo angličtině][6] ;
* Stáhnout [stabilní verze][1]
* Stáhnout [Nejnovější verze z RPTools.org][3] ;
* Kompatibilita s NVDA: 2019.3 a novější;
* Kompatibilita Thunderbird: verze 102.x;
* [Zdrojový kód na gitHub][2]

<!-- [Přejít na obsah](#toc) -->

## Popis

Tento doplněk výrazně zlepšuje pohodlí a efektivní použití klienta pro zasílání zpráv Mozilla Thunderbird s NVDA.

Vylepšení se týkají následujících aspektů:

### Sluchový komfort

* Upozornění jako „tak a tak si vyžádali potvrzení o vrácení“ lze deaktivovat pomocí volby;
* Upozornění „Toto je koncept“ a „Thunderbird si myslí, že tato zpráva je podvodná“ jsou jednoduše v tichosti zamítnuta;
* Možnosti vám umožňují zakázat oznamování jmen e-mailových konferencí, odstranit nebo seskupit zmínky „RE“ a vyčistit jména korespondentů odstraněním čísel a dalších nepříjemných speciálních znaků;

### Navigace v hlavním okně

* Přesun na další panel se provádí pomocí klávesy TAB, zatímco klávesa Escape se vrátí na předchozí panel. To je pohodlnější než pomocí F6 a Shift+F6.
* Výběr karet pomocí Ctrl+Tab a Ctrl+číslo se vyslovuje jako v tomto příkladu: Karta 1 ze 4, doručená pošta;
* Klávesová zkratka vám umožňuje zobrazit seznam karet v nabídce, abyste mohli jednu z nich snadno aktivovat;
* Klávesová zkratka se používá k zobrazení kontextové nabídky panelu záložek;

### Zobrazení stromu složek

* Alt+šipka dolů a Alt+šipka nahoru umožňují navigaci mezi složkami obsahujícími nepřečtené zprávy;
* Zadáním písmene nebo čísla vyberete další složku, jejíž název začíná tímto znakem. Pomocí klávesy Shift se pohyb provádí zdola nahoru. Kromě toho je oznámen název účtu, ke kterému složka patří;
* Stisknutím mezerníku na složce obsahující nepřečtené zprávy vyberete první nepřečtenou zprávu ze seznamu zpráv;
* Dva dialogy pro účty a jejich přidružené složky umožňují filtrovat je podle klíčových slov nebo zobrazovat pouze složky s nepřečtenými zprávami;

### Seznam zpráv

* Výběr sloupců a jejich rozložení v seznamu zpráv je zpřístupněn prostřednictvím jednoduchého dialogu;
* Zobrazení sloupců seznamu zpráv: klávesové zkratky vám umožňují snadno poslouchat, hláskovat nebo kopírovat jméno odesílatele, předmět zprávy nebo její datum zadáním číslice na alfanumerické klávesnici. Například jediné stisknutí tlačítka 1 nebo & oznámí odesílatele, dvě stisknutí vyhláskují jméno a tři stisknutí jej zkopírují do schránky;* Zobrazení záhlaví v podokně záhlaví zobrazeného pomocí F8: s Alt + číslice, 1 stisknutí oznámí jakékoli záhlaví obsahující adresy odesílatele nebo příjemce, 2 stisknutí otevře dialog pro jejich zkopírování, 3 stisknutí otevře nativní kontextovou nabídku Thunderbirdu spojenou se záhlavím ;
* Vyčištěný rychlý náhled textu zprávy pomocí mezerníku, Alt+šipka dolů nebo F4: Velké bloky záhlaví v uvozovkách zprávy jsou nahrazeny frází „Jméno odesílatele napsal“. NVDA také oznámí "klikací odkaz" místo dlouhé adresy odkazu.
* Rychlý přehled citací v chronologickém pořadí zdola nahoru pomocí Shift+Mezerník, Alt+šipka nahoru nebo Shift+F4;
* Snadný přístup k přílohám pomocí zkratky Alt+page down nebo pomocí čísla 1 na alfanumerické klávesnici;

<!-- Překladatelé : étiquettes = tags -->
### Panel rychlého filtru a správa prioritních značek

* Možnosti filtrování je možné procházet svislými šipkami. Klávesa Enter se používá ke kontrole nebo zrušení zaškrtnutí filtru;
* Přidání nebo odebrání štítků se provádí pouhým stisknutím Shift+ číslice na alfanumerické klávesnici. Například stisknutím Shift+4 přidáte ke zprávě značku „To Do“. Poté můžete filtrovat seznam zpráv podle značky pomocí lišty rychlého filtru, která je tedy přístupná;

### Okno pro psaní zpráv

Alt+1 oznámí odesílatele, Alt+2 oznámí příjemce, Alt+3 oznámí přílohy atd. Dvě stisknutí umístí fokus na jedno z těchto polí;

### Dialog pro kontrolu pravopisu

* Chybně napsané slovo je oznámeno s pravopisem nebo bez něj před navrhovaným slovem. Klávesové zkratky NVDA+Tab nebo Alt+šipka nahoru oznamují chybně napsaná slova a nahrazují je: 1 stisknutí hláskuje slova normální rychlostí, 2 stisknutí je vyhláskuje rychle, 3 stisknutí zkopíruje špatně napsané slovo do schránky pro analýzu v jiném editačním poli;
* Různé kombinace zahrnující klávesu Enter spouštějí tlačítka Nahradit, Nahradit vše, Ignorovat, Ignorovat vše nebo Přidat slovo do slovníku pro ještě větší pohodlí v tomto dialogu;

### Automatická aktualizace

ThunderbirdPlus obsahuje nezávislý systém automatických aktualizací s funkcemi deaktivace/reaktivace a odložení;

### Operace ze strany na stranu s Chichi

ThunderbirdPlus je navržen tak, aby bezproblémově spolupracoval s Chichi, doplňkem, který se instaluje přímo do Thunderbirdu.

Přečtěte si o tom na [stránce Chichi](https://www.rptools.org/Outils-DV/thunderbird-chichi-en.html) ;

### Poznámka o jazycích

Některé funkce nebudou správně fungovat, pokud ThunderbirdPlus nebude přeložen do jazyka, který používáte s NVDA a Thunderbirdem.

* Upozornění nebudou zachycena. Jedná se o upozornění týkající se konceptů, žádosti o potvrzení, podvodné zprávy, aktualizace atd.;
* Funkce vylepšení vyhledávání doplňku Thunderbird nebude fungovat.

K dnešnímu dni je doplněk dostupný v následujících jazycích:

[Původní verze ve francouzštině](https://www.rptools.org/NVDA-Thunderbird/ThunderbirdPlus_fr.html) : napsáno vývojářem;

Překlady od nejstaršího k nejnovějšímu pořadí:* [portugalština](https://www.rptools.org/NVDA-Thunderbird/ThunderbirdPlus_pt_PT.html): Rui Fontes z TifloTecnia.com a člen portugalského týmu NVDA;
* [španělština](https://www.rptools.org/NVDA-Thunderbird/ThunderbirdPlus_es.html): od Rémyho Ruize;
* [anglicky](https://www.rptools.org/NVDA-Thunderbird/ThunderbirdPlus_en.html): Bachir Benanou, bývalý člen francouzského překladatelského týmu NVDA;
* [turečtina](https://www.rptools.org/NVDA-Thunderbird/ThunderbirdPlus_tr.html): od umut korkmaz;
* [italsky](https://www.rptools.org/NVDA-Thunderbird/ThunderbirdPlus_it.html): od Leonarda Marendy;

Děkuji, překladatelé.

<a name="navpanels">

## Procházení panelů karty Zpráva (Tab, Escape)

Týká se to záložky obsahující tyto panely: zobrazení stromu složek, seznam zpráv, podokno záhlaví a náhled zprávy (zobrazené nebo skryté klávesou F8).

* TAB: Přesun na další panel. Tato zkratka bude pro některé lidi ergonomičtější než F6;
* Escape: Vrátí se na předchozí panel. Ekvivalent Shift+F6;

Poznámka:

Při přechodu na text tabulátorem ze seznamu zpráv je oblast záhlaví přeskočena. Chcete-li se dostat do této oblasti záhlaví, stiskněte třikrát rychle Alt+jedna číslice na alfanumerické klávesnici a poté stisknutím klávesy Escape opusťte kontextovou nabídku záhlaví. Tyto zkratky Alt+číslice snižují potřebu přejít do oblasti záhlaví. Další podrobnosti naleznete v části „Zobrazení záhlaví“ níže.


<a name="threadTree">

## Seznam zpráv, podokno náhledu a samostatné okno pro čtení

Některé z následujících zkratek jsou společné pro tyto tři kontexty, jiné se týkají konkrétního kontextu.

<a name="attach">

### Přístup k přílohám (Alt+Page down)

* Alt+stránka dolů nebo Alt+p: pokud je zobrazeno podokno náhledu (pomocí F8), otevře seznam příloh pro vybranou zprávu;
* Alt+9 nebo číslo 1 nebo 2: pouze ze seznamu zpráv, jedno stisknutí udává počet příloh, dvě stisknutí otevře seznam příloh;

<a name="readPreview">

### Rychlé a přehledné čtení zpráv

* Příkazy pro rychlé čtení zpráv jsou dostupné ve třech kontextech: ze seznamu zpráv, ze zprávy otevřené na kartě nebo ze zprávy otevřené v samostatném okně;
* Všechny jsou nyní kompatibilní se zprávami od Framalistes;
* Většina klávesových zkratek pro rychlé čtení byla soustředěna tak, aby minimalizovaly pohyby rukou během relace čtení mnoha zpráv;
* Jediným stisknutím hlavní klávesy zkratky spustíte přehledné čtení zprávy, tedy se silně zkrácenými hlavičkami uvozovek.
* Dvojité stisknutí spustí čtení zprávy v původní podobě. Termíny "nefiltrované čtení" jsou synonyma;

<a name="readFromList">

#### Rychlé čtení zpráv ze seznamu bez opuštění (mezerník, F4 nebo Alt+šipka dolů)

Chcete-li využít této funkce, budete muset nejprve zobrazit podokno čtení zpráv pomocí klávesy F8. Stisknutím tohoto tlačítka uslyšíte, zda je tento panel přítomen nebo nepřítomný;

Další,přejděte do seznamu zpráv a použijte následující klávesy:

* Mezerník, Alt+šipka dolů nebo F4: Přečte tělo zprávy bez opuštění seznamu. Po přečtení zprávy stiskněte šipku dolů a poté mezerník nebo Alt+šipka dolů nebo F4, abyste si poslechli další zprávu;
* Dvojité stisknutí klávesy zobrazí seznam odkazů ve zprávě, pokud je Chichi aktivní. Pokud je vybrán článek RSS kanálu, otevře se v internetovém prohlížeči;
* Shift+mezera, Alt+šipka nahoru nebo Shift+f4: stejná funkce kromě čtení uvozovek v jejich chronologickém pořadí (zdola nahoru);

A abychom dokončili příkazy dostupné ze seznamu zpráv, zmiňme se zde:

* Písmeno n nebo Alt+šipka vpravo: vybere další nepřečtenou zprávu, a to i ve složkách;
* Alt+Page down nebo Alt+p ze seznamu zpráv: umožňuje přejít přímo do oblasti příloh bez procházení textu;

<a name="readFromWinTab">

### Rychlé čtení zpráv v samostatném okně nebo kartě zprávy (F4 nebo Alt+šipka dolů)

Při otevření zprávy v novém okně se tělo zprávy ve výchozím nastavení přečte automaticky. Následující klávesové zkratky vám však umožňují kdykoli znovu slyšet zprávu.

* F4 nebo Alt+šipka dolů: rychlé čtení těla zprávy;
* Shift+F4 nebo Alt+šipka nahoru: stejná funkce, ale obráceně;

Poznámky:

* Pro připomenutí, dvojitým stisknutím těchto zkratek spustíte čtení původní zprávy;
* Automatické čtení může způsobit selhání NVDA na některých počítačích, zvláště pokud je účet nastaven na IMAP. Chcete-li se pokusit tento problém vyřešit, zkratka Alt+d otevře editační pole, které vám umožní prodloužit prodlevu mezi otevřením okna a spuštěním automatického čtení <br>
Pokud nastavení tohoto zpoždění problém nevyřeší, můžete zakázat automatické čtení pomocí nabídky Shift+[středník](keyEquiv_cs.html#aboveTab) / Možnosti pro hlavní okno / samostatné okno pro čtení: nečíst zprávu automaticky, pokud to způsobí NVDA blokády;
* Chcete-li co nejlépe využít přehledné čtení a chránit se před vzdáleným obsahem, který nerespektuje vaše soukromí, zobrazujte tělo zpráv v jednoduchém HTML. Chcete-li to provést, otevřete nabídku Zobrazit, přejděte dolů na Tělo zprávy a v podnabídce vyberte možnost Jednoduché HTML.


Zobrazení sloupců a záhlaví:

Zde je důležité rozlišovat mezi sloupci a záhlavími: slovo "sloupec" se níže používá k označení hodnoty buňky řádku v tabulce zpráv. Slovo "záhlaví" odkazuje na samotnou zprávu. Záhlaví lze zobrazit jak v podokně náhledu zprávy, tak na samostatné kartě nebo okně otevřené zprávy;

<a name="readCols">

### Zobrazení sloupců: jedna číslice na alfanumerické klávesnici

Tyto klíče jsou určeny pouze pro sloupce v seznamu zpráv. Zadejte číslo na alfanumerické klávesnici bez stisknutí klávesy Shift:

* Jedno stisknutí čísla: uvádí název a hodnotu odpovídajícího sloupce;
* Dvě stisknutí čísla: vyhláskuje hodnotu odpovídajícího sloupce;
* Tři rychlá stisknutí čísla: zkopíruje hodnotu sloupce do schránky.Chcete-li zkopírovat adresy různých odesílatelů a příjemců, použijte postup čtení záhlaví popsaný níže;

<a name="readHeaders">

### Čtení záhlaví: Alt+jedna číslice na alfanumerické klávesnici

Následující zkratky lze použít z hlavního okna, pokud je zobrazen panel náhledu (pomocí F8) a ze samostatné karty nebo okna otevřené zprávy. Jedno klepnutí přečte záhlaví a dvě klepnutí zobrazí kontextovou nabídku podle potřeby;

* Alt+1: jedno stisknutí oznámí jméno odesílatele a jeho e-mailovou adresu, dvě stisknutí otevře editační pole těchto hodnot. Můžete je upravit a stisknutím klávesy Enter je zkopírovat do schránky. Tři stisknutí: otevře kontextovou nabídku záhlaví;
* Alt+2: Předmět s názvem konference, pokud existuje;
* Alt+3: datum zprávy;
* Alt+4 pro: hlavní příjemce zprávy. Pokud je několik příjemců, třemi stisky se zaměří na prvního příjemce a poté se karta přesune na dalšího. Tlačítko Aplikace u každého příjemce zobrazí kontextovou nabídku;
* Alt+5: Kopírovat příjemce;
* Alt+6: Příjemci slepé kopie;
* Alt+7: adresa "odpovědět";
* Alt+8: Uživatelský agent, pokud jsou povolena úplná záhlaví prostřednictvím nabídky Zobrazit / záhlaví / úplná;
* Alt+9: 1 stisknutí oznámí počet příloh, 2 stisknutí otevře seznam příloh;
* Alt+0: Seznam prioritních značek umístěných ve zprávě;
* Alt+[Minus](keyEquiv_cs.html#bs2) nebo Alt+End: Poskytuje zkrácenou verzi stavového řádku: počet nepřečtených zpráv, celkový počet zpráv a výraz rychlého filtru;
* Alt+[](keyEquiv_cs.html#bs1): Otevře kontextovou nabídku karet;
* Control+[přízvuk-akutní](keyEquiv_cs.html#bs1): Zobrazí seznam otevřených karet v nabídce, která vám umožní vybrat vybranou kartu;

<a name="tags">

### Přidávání a odebírání prioritních značek: Shift+ číslice na alfanumerické klávesnici

Tato funkce vám umožňuje například označit zprávu jako důležitou nebo jako úkol. Dále se na liště rychlého filtru zobrazí pouze zprávy s jednou nebo více značkami. Například jsou zobrazeny pouze důležité zprávy v seznamu zpráv;

Chcete-li ověřit, které značky jsou již ve zprávě umístěny, stiskněte Alt+0 na alfanumerické klávesnici.

Chcete-li přidat nebo odebrat značku, stiskněte Shift+ číslo 1 až 9;

<a name="qfb">

### Panel rychlého filtru (písmeno F nebo Control+Shift+K)

* písmeno F nebo Control+Shift+K: Zobrazí panel rychlého filtrování zpráv v aktuální složce.
* Filtrování klíčových slov: Zadejte klíčové slovo a stisknutím klávesy Tab procházejte filtrovaným seznamem pomocí kláves se šipkami;
* Klávesa se šipkou dolů v poli pro úpravu klíčového slova vám umožňuje přístup k následujícímu seznamu možností:

    * 1: Ponechat filtry při změně složek? C
    * 2: Zobrazit pouze nepřečtené zprávy u
    * 3: Zobrazit pouze sledované zprávy s
    * 4: Zobrazit pouze zprávy od osob uvedených v mém adresáři d
    * 5: Zobrazit pouze zprávy se štítky t
    * 6 : Zobrazit pouze zprávy s přílohami a
    * atd.

* Stisknutím klávesy Enter povolíte nebo zakážete jedno nebo několik z uvedených kritérií;
* Alt+End nebo Alt+[](keyEquiv_cs.html#bs1):Umožňuje slyšet souhrn aktivních filtrů a počet vyfiltrovaných zpráv. Tyto dvě klávesové zkratky fungují také v rámci seznamu zpráv, nejen na liště rychlého filtru;
* Když je aktivní rychlý filtr, zvukový soubor WAV se přehraje, když je zaměřen seznam nebo karta, ke které patří. Zvuk připomíná nádech;
* Soubor filter.wav se nachází ve složce:
"%appdata%\\NVDA\\TB+zvuky"
Zvuk můžete umístit podle svých představ, pokud se váš soubor jmenuje: filter.wav. Po této změně souboru je nutné NVDA restartovat;

<a name="tagFilter">

#### Filtrování podle značky

Když je fokus umístěn na pole úprav na panelu Rychlý filtr:

* Tiskněte šipku dolů, dokud neuslyšíte „tags“, a stisknutím klávesy Enter tuto možnost zaškrtněte;
* Stisknutím klávesy Tab v tomto bodě přejděte do rozevíracího seznamu režimů filtrování značek. Pokud například zvolíte „to do“, budou v tabulce zpráv uvedeny pouze zprávy označené „to do“;

<a name="colLayout">

### Rozložení sloupců (Alt+c)

Klávesová zkratka Alt+c zobrazí dialogové okno, které vám umožní změnit pořadí sloupců v seznamu zpráv, ale také přidat nebo odebrat sloupce.

Chcete-li jej použít, nejprve přejděte do seznamu zpráv nebo stromového zobrazení složek a stiskněte Alt+c;

Zobrazí se dialogové okno rozvržení sloupců. Skládá se ze seznamu sloupců a také z tlačítek "Nápověda", "Sloupce" a "Zavřít".

Tlačítko „sloupce...“ zobrazí nativní nabídku Thunderbirdu „Vybrat sloupce k zobrazení“.

Když jste v seznamu sloupců, jsou k dispozici následující klávesové zkratky:

* Šipka vlevo: Zobrazí nabídku zaškrtávacího políčka s názvem „Vyberte sloupce k zobrazení“. Tato zkratka odpovídá tlačítku "Sloupce...";
* Mezerník: Chcete-li přesunout vybraný sloupec, stiskněte mezerník, přejděte na jiný sloupec a znovu stiskněte mezerník, abyste tam sloupec umístili. Je to podobné operaci vyjmutí a vložení;

Můžete také použít následující zkratky přímého pohybu:

* Ctrl+Nahoru nebo Ctrl+šipka dolů: Přesune vybraný sloupec o jeden krok nahoru nebo dolů;
* Control+Home nebo Control+End: Přesune vybraný sloupec na začátek nebo konec seznamu;
* Control+Page up nebo Control+Page down: Přesune vybraný sloupec o tři kroky nahoru nebo dolů;

Chcete-li provést takové pohyby, sloupce jsou ve skutečnosti přemístěny přetažením myší. Každých 10 pohybů ukazatele se ozve jedno milisekundové pípnutí;

Když je k dispozici nabídka „Vyberte sloupce k zobrazení“, můžete použít následující klávesové zkratky:

* Šipka vpravo: Zobrazí dialog rozložení sloupců;
* Mezerník: Zaškrtne nebo zruší zaškrtnutí vybraného sloupce v nabídce. Klávesa Enter provede stejnou akci;

Šipkou doleva a doprava lze tedy velmi snadno přepínat mezi nabídkou výběru sloupců a dialogem rozložení sloupců;

<a name="smartReply">

### SmartReply: Odpovězte na všechny seznamy adresátů stisknutím kláves Control+r

Pokud patříte k těm, kteří zapomněli stisknout Ctrl+Shift+l, aby odpověděli na seznam adresátů, jako je GoogleGroups, tato funkce vám ušetří soukromé odpovědi odesílateli zprávy, aniž byste si to uvědomovali.Vždy můžete stisknout Control+r následovně:

* Prostřednictvím jediného stisknutí klávesy: za účelem odpovědi na seznam;
* Prostřednictvím dvojitého stisknutí klávesy: za účelem soukromé odpovědi odesílateli zprávy;
* Prostřednictvím jediného stisknutí klávesy odpovědět odesílateli zprávy, která nepochází ze seznamu.

Poznámky:

Použití jednoduchých nebo dvojitých úhozů je možné u GoogleGroups, Framalistes a FreeLists.

Při použití jediného úhozu u jednoho z těchto tří e-mailových konferencí uslyšíte před otevřením okna pro zápis zprávy "do seznamu".

Také byste neměli používat příkaz "Odpovědět všem" k odpovědi na seznam, aby odesílatel neobdržel vaši odpověď soukromě;

A nakonec, pokud se chcete vrátit k obvyklé funkci Control+r:

* Stiskněte Shift+[středník](keyEquiv_cs.html#aboveTab) pro zobrazení nabídky Možnosti;
* Vyberte "Deaktivace pro Chichi a pro Thunderbird+ dílčí menu";
* Stisknutím klávesy Enter zrušte zaškrtnutí políčka „Seznam zpráv: bez SmartReply“;

### Mluvené klávesové zkratky A, J, M

* a: Archivuje vybranou zprávu s oznámením. Stiskněte Control+z pro zrušení operace;
* j : označí zprávu jako spam a oznámí to;
* Shift+j : označí zprávu jako přijatelnou a oznámí to;
* m : Označí vybrané zprávy jako nepřečtené. Shift+m ​​je označí jako přečtené;

<a name="folderTree">

## Zobrazení stromu složek

<a name="unreadFolders">

### Rychlá navigace ve složkách obsahujících nepřečtené zprávy (Alt+šipka dolů, Alt+šipka nahoru)

Ve stromovém zobrazení složek můžete stisknout:

* Alt+šipka dolů: přechod do další složky s nepřečtenými zprávami;
* Alt+šipka nahoru: přechod do předchozí složky s nepřečtenými zprávami;
* Prostor, Chichi není nainstalováno: Pokud vybraná složka obsahuje nepřečtené zprávy, vybere první nepřečtenou zprávu v seznamu;
* Space, Chichi nainstalováno: stejná funkce kromě toho, že Pokud složka neobsahuje žádné nepřečtené zprávy, Chichi zobrazí seznam nepřečtených složek.
Stisknutím klávesy Enter na nepřečtené složce v tomto seznamu se v seznamu zpráv aktivuje první nepřečtená zpráva v této složce; <br>
To vám umožní rychle zjistit, které složky přijaly zprávy, než se rozhodnete, kterou chcete začít číst jako první. ;<br>

V této záležitosti se podívejte také na dva dialogy níže:

* Dialogové okno Filtrované seznamy účtu a složek (F12)
* Seznam složek v hlavním stromovém zobrazení na základě 4 typů (F7, NVDA+F7 nebo Shift+F12)

Poznámka: Pokud existuje velký počet složek, Chichi funguje okamžitě, na rozdíl od těchto dvou dialogů;

<a name="folderDlg">

### Dialogové okno Filtrované seznamy účtů a složek (F12)

Tento dialog zobrazuje účty a jejich přidružené složky ve dvou samostatných seznamech. Můžete je filtrovat na základě klíčového slova nebo omezit seznam složek na ty, které obsahují nepřečtené zprávy.

Nastavení výchozího režimu zobrazení:

Pokud plánujete většinu času zobrazovat složky obsahující pouze nepřečtené zprávy, přejděte nejprve do stromového zobrazení složek nebo do seznamu zpráv a poté použijte zkratku Shift+[středník](keyEquiv_cs.html#aboveTab).V podnabídce možností hlavního okna zvolte položku s názvem: Zobrazit pouze složky obsahující nepřečtené zprávy.

Základní použití dialogu:

* V hlavním okně stiskněte F12 pro zobrazení dialogu.
* Pokud jste nastavili výchozí zobrazení na složky obsahující nepřečtené zprávy, zobrazí se v seznamu s názvem: Složky účtu;
* V opačném případě budou do tohoto seznamu zahrnuty všechny složky všech účtů;
* V tomto seznamu se můžete pohybovat stisknutím prvního písmene názvu složky;
* Upozorňujeme, že složky, které nejsou zobrazeny ve stromovém zobrazení, zde nebudou zahrnuty. K tomu dochází například, když složky patří ke sbalenému účtu ve stromovém zobrazení Účty a složky;
* Pokud jste v tuto chvíli našli složku, která vás zajímá, stiskněte klávesu Enter a vyberte ji ve stromovém zobrazení. Můžete také stisknout Alt+g pro simulaci jednoduchého kliknutí levým tlačítkem na složku nebo Alt+d pro simulaci jednoduchého kliknutí pravým tlačítkem;


Přepínání režimů zobrazení:

* Chcete-li si kdykoli vyvolat, v jakém režimu zobrazení se nacházíte, stiskněte klávesu Backspace (backspace). Po vyslechnutí informací znovu stiskněte toto tlačítko pro návrat do seznamu složek;
* Chcete-li přepnout zobrazení z režimu "pouze nepřečtené složky" do režimu "všechny složky" a naopak, stiskněte F12;
* V režimu "všechny složky" jsou účty zobrazeny v seznamu vlevo a složky vybraného účtu v seznamu vpravo. Chcete-li se přesunout z jednoho seznamu do druhého, použijte levou nebo pravou šipku;
* je vybrán virtuální účet s názvem "Všechny účty" a fokus je umístěn v seznamu složek, který obsahuje všechny složky všech účtů. U každé složky v tomto seznamu je uveden název účtu, ke kterému složka patří;


Použití filtrování klíčových slov:

* Předtím vám s největší pravděpodobností prospěje přepnutí do režimu „Všechny složky“, jak je vysvětleno výše;
* Níže můžete použít klávesy „Page Up“ nebo „Page Down“;
* Ze seznamu stiskněte klávesu "Page Up" pro přechod nahoru do pole pro úpravu výrazu filtru;
* Zadejte výraz a poté jej ověřte pomocí klávesy "Page Down" pro zahájení filtrování;
* Výsledky se zobrazí v seznamu složek. Pokud není nalezena žádná složka, uslyšíte: Žádné výsledky. Pokud jste to nečekali, možná jste zapomněli přepnout do režimu zobrazení všech složek;
* Nakonec stiskněte Enter na požadované složce a vyberte ji ze stromového zobrazení složek. Jak již bylo zmíněno, můžete simulovat kliknutí levým nebo pravým tlačítkem na složku stisknutím Alt+g nebo Alt+d;

#### Vyloučení určitých složek ze seznamu složek obsahujících nepřečtené zprávy

Jak je uvedeno výše, ze seznamu složek obsahujících nepřečtené zprávy můžete vyloučit složky, ke kterým se málokdy nebo nikdy přistupovalo.

Jediné, co musíte udělat, je přejmenovat složku, kterou chcete vyloučit, přidáním pomlčky na konec jejího názvu.

Zde je nutné upozornit, že pokud je přejmenovaná složka součástí filtru zpráv, Thunderbird tento filtr automaticky upraví tak, aby odrážel tuto změnu.


<a name="foldersList">

### Seznam složek v zobrazení hlavního stromu,Na základě 4 typů (F7, NVDA+F7 nebo Shift+F12)

Když jste ve stromovém zobrazení složek nebo seznamu zpráv, tento příkaz zobrazí dialogové okno se seznamem složek, který může mít následující čtyři rozvržení:

* Obsahuje pouze nepřečtené zprávy (plochý seznam), Alt+n;
* Všechny složky (plochý seznam), Alt+t;
* Obsahuje pouze nepřečtené zprávy (celý stromový pohled), Alt+o;
* Všechny složky (celý stromový náhled), Alt+u;


U složek obsahujících nepřečtené zprávy jsou ze seznamu vyloučeny složky Koncepty a Koš a složky s názvy končícími pomlčkou;

Chcete-li aktivovat jeden z těchto typů, můžete stisknout příslušnou klávesovou zkratku nebo Shift+Tab a poté pomocí kláves se šipkami přepínat režimy.

Zvolený typ se uloží do paměti a aktivuje se při příštím zobrazení tohoto dialogu;

Seznam můžete také filtrovat podle klíčového slova. Stisknutím klávesy Tab nebo Alt+e přejděte do pole úprav.

Navigace v plochém seznamu nebo stromovém zobrazení se provádí pomocí šipek nahoru nebo dolů a také pomocí iniciály názvu složky;

Chcete-li aktivovat vybranou složku v hlavním stromovém zobrazení, jednoduše na ní stiskněte Enter.

Tip: Pokud byste měli stisknout Enter ve složce obsahující nepřečtené zprávy, stisknutím mezerníku vyberte první nepřečtenou zprávu v tabulce zpráv;

<br>
Poznámka:

Klávesové zkratky, které zobrazují tento dialog, mohou být odstraněny a další mohou být přidány pomocí dialogu nastavení vstupních gest NVDA. Následuj tyto kroky:

* Nejprve přesuňte okno Thunderbirdu do popředí;
* Otevřete nabídku NVDA a vyberte "Předvolby";
* V podnabídce stiskněte Enter na: "Vstupní gesta";
* V dialogovém okně, které se otevře, stiskněte písmeno t, dokud nedosáhnete: Thunderbird+;
* Stisknutím pravé šipky rozbalíte tuto větev;
* Přejděte dolů na položku: "Zobrazit seznam složek v hlavním stromovém zobrazení Thunderbirdu na základě několika typů. Sbaleno 2 ze 4 úrovně 1" a stisknutím šipky vpravo tuto úroveň rozbalte;
* Tab na tlačítko "Přidat", stiskněte mezerník a poté stiskněte vstupní gesto v novém dialogu;
* Stiskněte Enter pro potvrzení vaší volby;
* Zpět v seznamu gest ověřte přítomnost nového vstupního gesta;
* Zavřete dialog tlačítkem OK.

<a name="alerts">

## Upozornění zpřístupněna

U výstrah vyžadujících váš zásah jsou tlačítka přístupná a navigaci v nich lze provádět pomocí kláves se šipkami:

* instalace doplňků pro Thunderbird: je vybráno tlačítko "Instalovat". Stačí na něm stisknout Enter a pokračovat v instalaci;
* Nová aktualizace Thunderbirdu: tato výstraha je také dostupná;
* Vyžádat potvrzení o přečtení: toto lze zrušit pomocí možnosti v nabídce Shift+[středník](keyEquiv_cs.html#aboveTab) / v nabídce možností hlavního okna;;
* Blokování vzdáleného zobrazování obsahu ve zprávách: je vybráno tlačítko "Možnosti" a ke zprávě je přidána následující věta: Tip: Otevřete nabídku Zobrazit, přejděte dolů na Tělo zprávy a v podnabídce stiskněte Enter na Simple HTML. Jakmile se použije navrhovaná nastavení, toto upozornění se již nebude zobrazovat;

Upozornění, která narušují procházení seznamu zpráv:

* Upozornění Toto je koncept: Toto zbytečné upozornění je odstraněno;* Thunderbird si myslí, že tato zpráva je podvodná: toto oznámení je nahrazeno dvěma krátkými tóny o frekvenci blízké lidskému hlasu (200 Hz). Chcete-li označit zprávu jako přijatelnou nebo nežádoucí, stiskněte klávesu [středník](keyEquiv_cs.html#aboveTab) a vyberte požadovanou akci z podnabídky „Výstraha“;

<a name="tabs">

## Klávesové zkratky pro karty

Kromě nových příkazů jsou oznamovány karty jako v tomto příkladu: Karta 1 ze 4, Doručená pošta

* Ctrl+Tab a Ctrl+Shift+Tab: přejde na další nebo předchozí kartu;
* Control+číslo: vybere záložku odpovídající jejímu číslu objednávky na liště karet. Pokud stisknete číslo větší, než je počet otevřených karet, budete umístěni na poslední;
* Control+[přízvuk-akutní](keyEquiv_cs.html#bs1): zobrazí seznam otevřených karet v nabídce. Stisknutím klávesy Enter na názvu karty se na ni přesunete;
* Alt+[](keyEquiv_cs.html#bs1): Otevře kontextovou nabídku lišty karet. Obsahuje především příkazy: Close the active tab a Close my other tabs;
* Ctrl+w, Ctrl+Bakspace nebo Ctrl+F4: zavře aktivní kartu;
* Control+j: otevře záložku "Uložené soubory", která seskupuje přílohy a stažené soubory uložené na vašem pevném disku;

<a name="tabAddons">

## Karta Doplňky

Tento doplněk usnadňuje vyhledání a instalaci doplňků pro Thunderbird.

* Na kartě "Doplňky" zadejte název modulu a stiskněte Enter;
* Doplněk Thunderbird+ počká na otevření karty s výsledky vyhledávání a poté se pokusí vybrat první nalezený doplněk;
* Konkrétněji si můžete přečíst příklad [Začít s instalací modulu Inbox](#stwInstall);

<!-- Překladatelé : fenêtre de rédaction = Okno zápisu -->
<a name="writeWnd">
## Okno zápisu

Když se otevře okno pro zápis, nic zvláštního není patrné, ačkoli jsou k dispozici následující klávesové zkratky:

* Escape: zavře okno pro zápis;
* Kontrola polí adresy: jedno stisknutí Alt+číslice oznámí záhlaví, dvě stisknutí zaměření na odpovídající vstupní pole:<br>
Alt+1: Odesílatel: jedna z vašich e-mailových adres ve vašem seznamu e-mailových adres;<br>
Alt+2 : do:<br>
Alt+3: Názvy příloh. Dva stisky označí seznam příloh;<br>
Ostatní číslice umožňují přístup k volitelným záhlavím, jako jsou: kopírovat do, skrytá kopie do a odpovědět na;
* [středník](keyEquiv_cs.html#aboveTab): v textu zprávy: zobrazí následující kontextové menu: - Panel nástrojů Mail a poté v podnabídce: Odeslat, Pravopis, Připojit, Zabezpečení, Uložit.<br>
Formátování textu a poté v podnabídce: (Styly) odstavce, Použít nebo odebrat seznam s odrážkami, Použít nebo odebrat číslovaný seznam, Písma, Odsazení, vložit odkaz, obrázek, kotvu, vodorovnou čáru nebo tabulku.

<br>
Poznámka: Do této nabídky se dostanete jedním nebo dvěma stisknutími klávesy [středník](keyEquiv_cs.html#aboveTab) v závislosti na nastavení v nabídce možností okna pro zápis, kterou získáte stisknutím Shift+[středník](keyEquiv_cs.html#aboveTab) jednou nebo dvakrát;

<a name="spellDlg">
### Dialog pro kontrolu pravopisu: F7

Přibyly klávesové zkratky, které omezují pohyb ruky.Když je fokus na editačním poli náhradního slova, můžete použít následující klávesové zkratky:

* Enter: Aktivuje tlačítko "Nahradit";
* Shift+Enter: Aktivuje tlačítko "Nahradit vše";
* Control+Enter: Aktivuje tlačítko "Ignorovat";
* Shift+Control+Enter: Aktivuje tlačítko "Ignorovat vše";
* Alt+Enter: Aktivuje tlačítko "Přidat slovo do slovníku";


Chcete-li si zapamatovat tyto kombinace zahrnující klávesu Enter, Control odkazuje na akci "Ignorovat" a přítomnost Shift označuje "všechny výskyty".

Navíc klávesová zkratka Alt+šipka nahoru hláskuje slova:

* 1 stisknutí hláskuje slova normální rychlostí;
* 2 stisknutí hláskovat slova rychle;
* 3 stisknutí zkopíruje chybně napsané slovo do schránky pro analýzu v jiném editačním poli;

<a name="virtspell">

## Vylepšený režim kontroly pravopisu při psaní

<!-- Překladatelé: tato sekce byla přeložena společností Google ve verzi 4.7.1, 8. května 2023 -->

Poznámka: Tato sekce byla přeložena z francouzštiny do angličtiny společností Google;

Navzdory pravopisu přidanému do dialogového okna kontroly pravopisu je někdy nutné zavřít dialog, abyste slyšeli kontext chyby v textu. Po dokončení tento dialog restartuje kontrolu pravopisu od začátku a znovu se zastaví u slov, která jsme dříve dobrovolně ignorovali.

Kontrola pravopisu při psaní se těmto nepříjemnostem vyhýbá, ale může odvádět pozornost pisatele pomocí oznámení „Překlepy“.

Aby vás při psaní nerozptylovaly pravopisné chyby, byl tento režim kontroly vylepšen přidáním tří klávesových zkratek:

Před jejich aktivací je nutné přepnout do navigačního režimu stisknutím: NVDA+mezera;

* w a -shift+w pro přechod na další a předchozí chybu;
* NVDA+F7 pro zobrazení seznamu chybně napsaných slov. Na špatně napsané slovo stačí stisknout enter, abyste na něj v textu přeskočili;

Tento režim provozu vám umožňuje zakázat oznamování chybně napsaných slov NVDA;

Před použitím tohoto vylepšeného režimu kontroly pravopisu při psaní je nutné provést malou konfiguraci.

### Předběžná konfigurace
1: V Thunderbirdu povolte kontrolu pravopisu při psaní v Nastavení:

* V hlavním okně otevřete nabídku Možnosti, přejděte dolů do Nastavení a stiskněte Enter ;
* Na záložce Nastavení přejděte tabulátorem do vyhledávacího pole možností, zadejte slovo „kouzlo“ a stiskněte tabulátor;
* Ve výsledcích vytvořte tabulku a poté zaškrtněte políčko s názvem: "Povolit kontrolu pravopisu při psaní";
* Nakonec zavřete kartu Nastavení pomocí Ctrl+w nebo -ctrl+Backspace;


2: Zakázat hlášení překlepů v NVDA
Toto nastavení je volitelné. Pokud si přejete slyšet oznámení o špatně napsaném slově, můžete toto oznámení také zkrátit tak, že ve slovníku výslovnosti nahradíte „chybně napsané slovo“ například „chybně napsané“;

Chcete-li tuto reklamu zakázat:

* Otevřete nabídku NVDA, Předvolby a poté stiskněte Enter na: Nastavení ;
* V dialogovém okně nastavení přejděte do kategorie "Formátování dokumentu";
* Tab, dokud neuslyšíte: "Pravopisné chyby", poté stisknutím mezerníku zrušte zaškrtnutí této možnosti;* Zavřete dialog potvrzením na tlačítku OK;


### Pomocí klávesových zkratek w, -shift+w a NVDA+F7

* Před použitím těchto klávesových zkratek musíte nejprve aktivovat režim prohlížení stisknutím NVDA+mezera;
* Poté stiskněte písmeno w pro přechod na další chybu nebo -shift+w pro přechod na předchozí chybu nebo stiskněte NVDA+F7 pro výběr slova, které chcete opravit ze seznamu;* Když je v textu vybráno chybné slovo, můžete stisknutím klávesy Aplikace zobrazit kontextovou nabídku návrhů náhrad;
* Můžete si také snadno poslechnout větu, která obsahuje chybné slovo, než přistoupíte k jeho opravě;
* Chcete-li ručně opravit slovo, nejprve stiskněte NVDA+mezera pro návrat do režimu formuláře;

<a name="menus">

## Thunderbird+ nabídky možností a příkazů

<a name="optMenu">

### Nabídka Možnosti (Shift+[středník](keyEquiv_cs.html#aboveTab))

Možnosti hlavního okna:

* Seskupte více zmínek 'RE' do jedné: například Re: Re: Re: se změní na 3Re:;
* Odstraňte „RE“ ve sloupcích s předmětem:
* Smažte dvojtečku ve zmínkách „RE“:
* Vyčistěte jména korespondentů v seznamu zpráv: odstraňte čísla a některé speciální znaky, aby byl poslech jmen korespondentů méně únavný;
* Přidat do sloupců interpunkci: do některých sloupců se přidá čárka, aby se mezi nimi vytvořila krátká pauza při oznamování řádku v seznamu zpráv;
* Skrýt názvy e-mailových konferencí: Odstraní oznámení názvů e-mailových konferencí v hranatých závorkách pro příjemnější poslech při použití jiné složky pro každý e-mailový seznam. Jinak je jméno konference oznámeno pouze jednou, pokud se v předmětu zprávy objeví několikrát;
* Upravit slova, která se mají skrýt v předmětech zpráv: otevře pole pro úpravy, které vám umožní přidat nebo odebrat slova, která nemají být oznámena v řádcích s předmětem zpráv. Například přidejte *, aby *** Spam *** byl oznámen jako spam;
* Oznámit 'nežádoucí', pokud je uvedeno ve sloupci 'Nežádoucí stav: pokud je v tabulce zpráv sloupec "nechtěný stav", tato možnost může, ale nemusí být použita k oznámení "Nežádoucí";
* Stisknutí mezerníku na složce obsahující nepřečtené zprávy hledá první nepřečtenou zprávu od začátku seznamu zpráv: Ve výchozím nastavení skript pro tuto možnost odesílá příkaz "n" pro výběr další nepřečtené zprávy v seznamu zpráv. Thunderbird ne vždy vybere první nepřečtenou zprávu v seznamu. Pokud je tato možnost zaškrtnuta, doplněk vybere první nepřečtenou zprávu ve složce oklikou, kterou lze slyšet na některých počítačích;
* Nepoužívejte navigaci prvním písmenem ve stromovém zobrazení složek: tato možnost je užitečná, pokud používáte doplněk „Rychlá navigace pomocí kláves složky“;
* Nepřímá navigace iniciálami: Zobrazí pole pro úpravu názvu složky, jakmile stisknete písmeno nebo číslo ve stromovém zobrazení složek. Pokud je tato možnost zakázána, můžete toto vyhledávací pole zobrazit stisknutím písmene z;
* Ignorovat požadavky na potvrzení: Je-li povoleno, podokno žádostí o přijetí bude zrušeno, když je v seznamu zpráv vybrána zpráva;* Neemulovat Shift+F6 s escape: deaktivuje použití klávesy escape při procházení panelů v hlavním okně;
* Zobrazit pouze složky obsahující nepřečtené v dialogovém okně 'Stromové zobrazení složek' a: při každém otevření tohoto dialogu pomocí klávesy F12 zobrazí pouze složky s nepřečtenými zprávami;
* Samostatné okno pro čtení: nečíst zprávu automaticky, pokud to blokuje NVDA: Ve výchozím nastavení, když otevřete zprávu stisknutím klávesy Enter ze seznamu zpráv, po otevření nového okna se spustí nepřehledné čtení zprávy. Na některých počítačích, pokud je e-mailový účet nastaven na IMAP, může dojít k selhání NVDA. Když je tato možnost zaškrtnuta, automatické čtení je deaktivováno, aby nedošlo k zablokování.

Pokud při otevření tohoto okna dojde k zablokování, můžete prodloužit prodlevu, než se spustí automatické čtení. Chcete-li to provést, stiskněte Alt+d a zadejte jinou hodnotu. Pokud nemůžete toto zablokování odstranit, zaškrtněte tuto možnost;

<br>
Možnosti pro okno zápisu:

* Kontrola pravopisu: hláskujte špatně napsané slovo a navrhované slovo: Tato možnost změní oznámení v dialogovém okně kontroly pravopisu;
* Povolit vylepšení kontroly pravopisu při psaní: Příkaz pro toto nastavení zatím nefunguje s NVDA 2022.1;
* Klávesa Escape zavře vytvářenou zprávu;
* Jediným stisknutím zobrazíte kontextovou nabídku, dvojím stisknutím zapíšete [středník](keyEquiv_cs.html#aboveTab) nebo Shift+[středník](keyEquiv_cs.html#aboveTab) nebo jejich náhrady: tato volba umožňuje zobrazit kontextovou nabídku stisknutím klávesu [středník](keyEquiv_cs.html#aboveTab), která bude praktičtější, pokud znaky [středník](keyEquiv_cs.html#aboveTab) a Shift+[středník](keyEquiv_cs.html#aboveTab) zadáváte velmi zřídka;

<br>
Možnosti aktualizace:

Tato možnost vám umožňuje zakázat automatické aktualizace Thunderbird+ nebo je znovu povolit;

<br>
Deaktivace pro Chichi a Thunderbird+:

Hlavním účelem těchto možností je umožnit dobré soužití mezi Thunderbird+ a Chichi tím, že se vyhnete duplicitním funkcím. Ale můžete je použít bez Chichi, aby vyhovovaly vašim preferencím;

Termín "složky" níže odkazuje na stromové zobrazení složek;

* Složky: Prostor nevybírá další nepřečtenou zprávu v seznamu a nezobrazuje seznam nepřečtených složek d: Chichi zatím nemá autonomní ekvivalentní funkci;
* Složky: žádná navigace podle iniciál d: aktivací této možnosti se použije Chichi. Toto funguje pouze shora dolů a neoznamuje název účtu, ke kterému patří aktivovaná složka;
* Vypsat zprávy: Mezerník nečte zprávu v podokně náhledu l: pokud zaškrtnete tuto možnost, je to Chichi, kdo vysloví zprávu v podokně náhledu. Na rozdíl od Thunderbirdu+ nebude toto čtení přehledné. Na druhou stranu F4 a Alt+šipka dolů budou nadále používat Thunderbird+ přehledné čtení;
* Seznam zpráv: ne SmartReply: deaktivuje funkci odpovědi na seznam adresátů pomocí Control+r při jediném stisknutí nebo odesílateli pomocí Control+r při dvojitém stisknutí;
* Seznam zpráv:Nemanipulovat s panelem rychlého filtru: Odebere přístup k možnostem filtrování pomocí šipky dolů;
* Hlavní okno: Karta se nepřesouvá do dalšího podokna: tato možnost se týká navigace mezi zobrazením stromu složek, seznamem zpráv a panelem záhlaví zpráv;
* Hlavní okno: Resetujte klávesu Escape do výchozího stavu. To se týká zejména navigace mezi výše uvedenými panely;
* Povolit ukončení Thunderbirdu pomocí Control+w nebo Control+F4: zaškrtnutím této možnosti výše uvedené dvě zkratky ukončí Thunderbird, když je otevřena pouze jedna karta. Toto chování je pro některé lidi trapné;

Zálohování a obnovení nastavení:

* Zálohovat aktuální konfiguraci s: Zkopíruje soubor .ini doplňku do souboru .inibak.
* Obnovit uloženou konfiguraci r: Zkopíruje soubor .inibak do .ini a znovu načte nastavení;
* Reset Configuration r: Obnoví výchozí nastavení doplňku. Vytvoří zálohu předem, pokud již žádná neexistuje;

<a name="cmdMenu">

### Nabídka příkazů ([středník](keyEquiv_cs.html#aboveTab))

* Vyberte a uspořádejte sloupce ze seznamu zpráv: Zobrazí nabídku Thunderbirdu se zaškrtávacími políčky nazvanými „Vybrat sloupce k zobrazení“. Když jste na názvu sloupce, stisknutím pravé šipky otevřete dialogové okno rozložení sloupců;
* Napište na podporu: ve francouzštině nebo angličtině. Tento příkaz otevře okno pro zápis předem adresované podpoře doplňku. Toto funguje pouze v případě, že je Thunderbird správně nastaven jako váš výchozí e-mailový klient;

<a name="startup">

## Vylepšené spouštění Thunderbirdu

Nativně se po posledním zavření Thunderbirdu spustí na poslední aktivní kartě a bez aktivace čehokoli, což je poměrně nepříjemné.

Pro pohodlný začátek existují dva doplňky, které se instalují přímo do Thunderbirdu:

* Chichi, vyvinutý Yannickem: tento doplněk je doporučen, protože nabízí mnoho dalších funkcí pro usnadnění a ThunderbirdPlus je navržen tak, aby s ním spolupracoval;
* Začněte s doručenou poštou: pokud nepoužíváte Chichi, tento modul odvádí dobrou práci;

<a name="chichi">

### S Chichi

Chcete-li používat Chichi, přečtěte si část Stažení a instalace spolu s částí Nastavení spouštěcí složky na [Webové stránce Chichi] (https://www.rptools.org/Outils-DV/thunderbird-chichi-en.html);

<a name="stwi">

### S Začít s doručenou poštou

Od října 2022 byla nejnovější verze tohoto doplňku Thunderbird 102 2.5.2.

Vlastnosti:

* Instalace: pomocí vyhledávání podle názvu na kartě "Doplňky" Thunderbirdu;
* Spouštěcí složka: vždy stejná, buď složka doručené pošty účtu zvoleného v nastavení doplňku, nebo sjednocená složka;
* Automatické ostření: na poslední zprávu v seznamu zpráv nebo na složku "Doručená pošta" ve stromovém zobrazení, v závislosti na nastavení v možnostech doplňku. Ve výchozím nastavení je vybrána druhá možnost;
* Nastavení: Méně snadný přístup. Přejděte na kartu Doplňky, v seznamu nainstalovaných doplňků vyberte „Začít s doručenou poštou“ a poté stiskněte klávesu Enter na tlačítku „Možnosti doplňku“. Tím se otevře nová karta „Nastavení Začít s doručenou poštou“;Rozbalovací seznam vám umožňuje vybrat e-mailový účet, pro který bude při spuštění Thunderbirdu vybrána složka doručené pošty;

Tři přepínače vám umožní vybrat mezi zaměřením na poslední zprávu, první nepřečtenou zprávu v seznamu zpráv nebo složku ve stromovém zobrazení;

<a name="stwInstall">

Instalace:

* V Thunderbirdu otevřete nabídku „Nástroje“ a stiskněte Enter na: Doplňky a motivy;
* Na stránce Správce doplňků přejděte do vyhledávacího pole. V režimu procházení jej můžete rychle najít stisknutím písmene e;
* Psaní: Začněte s Doručená pošta a stiskněte Enter;
* Pokud máte Thunderbird+, chvíli počkejte, než na kartě výsledků vybere doplněk, který hledáte;
* V opačném případě ručně vyberte například kartu „Začít s doručenou poštou:: Hledat:: Doplňky pro Thunderbird“. Dále stiskněte 3, dokud se nedostanete k nadpisu úrovně 3, který nese název doplňku, který jste hledali;
* Pomocí šipky dolů přejděte dolů na odkaz „Přidat do Thunderbirdu“ a stiskněte na něm Enter;
* Postupujte podle pokynů a restartujte Thunderbird;
* Pokud vše proběhlo v pořádku, Thunderbird se otevře na hlavní kartě a zaměří se na seznam zpráv;

Nastavení možností Začít s doručenou poštou:

* Návrat na kartu "Správce doplňků";
* V případě potřeby ponechte vyhledávací pole v režimu procházení;
* Stiskněte 3 tolikrát, kolikrát je potřeba, abyste dosáhli nadpisu úrovně 3 s názvem „Začít s doručenou poštou v seznamu nainstalovaných doplňků;
* Dále aktivujte tlačítko: Možnosti doplňku. Otevře se nová karta s názvem: Start with Inbox, Settings;
* Ve výchozím nastavení se zobrazuje následující:

<!-- En anglais : -->

Začněte s Doručená pošta – Nastavení

Vyberte účet, pro který se má po spuštění Thunderbirdu zobrazovat jeho doručená pošta.

Rozbalovací seznam: \<váš první e-mailový účet\>

Vyberte a zaměřte se na:

nezaškrtnutý přepínač, na který lze kliknout: nejnovější* zpráva.

Přepínač, na který lze kliknout, nezaškrtl složku doručené pošty ve stromovém zobrazení složek.
přepínač zaškrtnutý: první nepřečtená zpráva.

* Definice "nejnovější": Poslední zpráva, která byla vložena do doručené pošty (nezávisle na datu zprávy).

Pokud doručená pošta neobsahuje žádné zprávy, bude vybrána a vybrána složka doručené pošty ve stromu složek.

<!-- Překladatelé: pro jiné jazyky přeložte věty výše do svého jazyka, jako je francouzská tanslace níže.

Interpretace ve français:

Začněte s Inbox - Réglages ;

Sélectionnez le compte dont le dossier Courrier entrant sera affiché au démarrage de Thunderbird ;

liste déroulante : \<votre premier compte de messagerie\>

Sélectionner puis placer le focus sur:

boutonové rádio cliquable non coché :Le dernier message de la liste ;

boutonové rádio non coché cliquable Le dossier Courrier entrant dans l'arborescence des dossiers ;

boutonové rádio coché : Le premier message non lu de la liste ;
-->

Pokud složka Doručená pošta neobsahuje žádné zprávy, bude tato složka aktivní ve stromovém zobrazení složek;

<br>
Po nadefinování nastavení restartujte Thunderbird.<br>
Vestavěný spouštěč Thunderbirdu přes AltGr+[středník](keyEquiv_cs.html#aboveTab):

Pro pohodlí a rychlost můžete Thunderbird spustit stisknutím AltGr+[středník](keyEquiv_cs.html#aboveTab).

Tato zkratka je konfigurovatelná pomocí správce vstupních gest NVDA, který nabízí větší svobodu výběru modifikačních kláves než zkratky Windows, omezené na AltGr;

Chcete-li přidat další vstupní gesto, postupujte takto:

* Nejprve přesuňte okno Thunderbirdu do popředí;
* Otevřete nabídku NVDA a vyberte "Předvolby";
* V podnabídce stiskněte Enter na: "Vstupní gesta";
* V dialogovém okně, které se otevře, stiskněte písmeno t, dokud nedosáhnete: "Thunderbird, Launcher";
* Stisknutím pravé šipky rozbalíte tuto větev;
* Přejděte dolů na položku: "Spustí Thunderbird" a poté stisknutím šipky doprava tuto úroveň rozbalte;
* Tab na tlačítko "Přidat", stiskněte mezerník a poté stiskněte vstupní gesto v novém dialogu;
* Stiskněte Enter pro potvrzení vaší volby;
* Zpět v seznamu gest ověřte přítomnost nového vstupního gesta;
* Zavřete dialog tlačítkem OK.

Poznámky:

* Spouštěč Thunderbird je určen pouze pro nainstalovanou verzi Thunderbirdu, jejíž cesty Thunderbird.exe jsou předvídatelné.
* V 64bitové architektuře Windows tento doplněk nespustí 32bitovou verzi Thunderbirdu, pokud je na vašem systému nainstalována 64bitová i 32bitová verze;<!-- links section -->

[1]: https://github.com/RPTools-org/ThunderbirdPlus/releases/download/v4.9.5/thunderbirdPlus-4.9.5-TB102.nvda-addon

[2]: https://github.com/RPTools-org/ThunderbirdPlus/

[3]: https://www.rptools.org/?p=8610

[4]: https://www.rptools.org/NVDA-Thunderbird/ThunderbirdPlus_cs.html#navpanels

[5]: https://www.rptools.org/NVDA-Thunderbird/changes.php?lg=cs

[6]: https://www.rptools.org/NVDA-Thunderbird/toContact.html
