# Thunderbird+

* Authors: Pierre-Louis Renaud (From Thunderbird 78 to 102) & Cyrille Bougot (TB 102), Daniel Poiraud (From TB 78 to 91), Yannick (TB 45 to 60);
* URL: [User manual][4] ;
  [History of changes at RPTools.org][5] ;
  [Contact in French or English][6] ;
* Download [stable version][1]
* Download [Latest version from RPTools.org][3] ;
* NVDA compatibility: 2019.3 and later;
* Thunderbird compatibility: versions 102.x;
* [Source code on gitHub][2]

## Description

This add-on greatly improves the Mozilla Thunderbird messaging client's comfort and efficient use with NVDA.

Improvements relate to the following aspects:

### Auditory Comfort

* Alerts such as "so-and-so requested a return receipt" can be deactivated via an option;
* The alerts "This is a draft" and "Thunderbird thinks this message is fraudulent" are simply dismissed in silence; 
* Options allow you to disable mailing list names announcement, remove or group "RE" mentions and clean up the names of correspondents by removing numbers and other annoying special characters;  

### Navigating The Main Window

* Moving to the next panel is done using the TAB key, while the Escape key returns to the previous panel. This is more comfortable than through F6 and Shift+F6. 
* The selection of tabs with Control+Tab and Control+number is spoken as in this example: Tab 1 of 4, inbox; 
* A keyboard shortcut allows you to list tabs in a menu in order to easily activate one of them;
* A keyboard shortcut is used to display the context menu of the tabs bar;

### The Folder Tree view

* Alt+Down Arrow and Alt+Up Arrow let you navigate among folders containing unread messages;
* Typing a letter or number selects the next folder whose name begins with that character. With the Shift key, the move occurs from bottom to top. Besides, the name of the account to which the folder belongs is announced;
* Pressing Space bar on a folder containing unread messages selects the first unread message of the message list;
* Two dialogs for accounts and their associated folders allow you to filter them by keyword or display only folders with unread messages;

### The Message List

* Choosing columns and their layout within the message list is made accessible through a simple dialog;
* Viewing the columns of the message list: shortcuts allow you to easily listen to, spell or copy the sender's name, the message subject or its date by typing a digit on the alphanumeric keypad. For instance, a single press on 1 or & announces the sender, two presses spell the name and three presses copy it to the clipboard;
* Viewing the headers in the header pane displayed using F8: with Alt+ a digit, 1 press announces any header containing the sender's addresses or recipients, 2 presses open a dialog to copy them, 3 presses open the native Thunderbird context menu associated with the header;
* Cleaned quick message text preview via space key, Alt+down arrow or F4: Large header blocks in message quotes are replaced by the phrase "Sender name wrote". NVDA will also announce "clickable link" instead of the long address of the link.
* Quick overview of quotes in chronological order, from bottom to top, via Shift+Space, Alt+up arrow or Shift+F4;
* Easy access to attachments using the shortcut Alt+page down or via number 1 of alphanumeric keypad;

### Quick Filter Bar And Priority Tag Management 

* It is possible to navigate filtering options with the vertical arrows. The Enter key is used to check or uncheck a filter;
* Adding or removing tags is done by simply pressing Shift+ a digit on the alphanumeric keyboard. For example, press Shift+4 to add the "To Do" tag to a message. You can then filter the message list by tag via the quick filter bar which is hence accessible; 

### The Message Write Window

Alt+1 announces the Sender, Alt+2 announces the Recipient, Alt+3 announces the Attachments, etc. Two presses place the focus on one of these fields;

### Spell-check Dialog

* The misspelled word is announced with or without spelling before the suggested word. The shortcuts NVDA+Tab or Alt+up arrow announce misspelled and replacement words: 1 press spells the words at normal speed, 2 presses spell them quickly, 3 presses copy the misspelled word to the clipboard for analysis in another edit field; 
* Various combinations involving the Enter key trigger the Replace, Replace All, Ignore, Ignore All, or Add Word to Dictionary buttons have been added for even more convenience within this dialog; 

### Automatic Update

ThunderbirdPlus contains an independent auto-update system with deactivation/reactivation and postponement features;

### Side-to-side Operation with Chichi

ThunderbirdPlus is designed to work seamlessly with Chichi, an add-on that installs directly onto Thunderbird.

Read about this on the [page of Chichi][7] ;


And many other things that you will discover by reading the [user manual][4] ;

<!-- Translators : in the links 4, 5 and 7 below, where you see lang=en, replace en with your language code -->

[1]: https://github.com/RPTools-org/ThunderbirdPlus/releases/download/v4.9.5/thunderbirdPlus-4.9.5-TB102.nvda-addon

[2]: https://github.com/RPTools-org/ThunderbirdPlus/

[3]: https://www.rptools.org/?p=8610

[4]: https://www.rptools.org/NVDA-Thunderbird/get.php?pg=manual&lang=en

[5]: https://www.rptools.org/NVDA-Thunderbird/get.php?pg=changes&lang=en

[6]: https://www.rptools.org/NVDA-Thunderbird/toContact.html

[7]: https://www.rptools.org/NVDA-Thunderbird/get.php?pg=chichi&lang=en
