# Thunderbird+

* Autor: Pierre-Louis Renaud (Thunderbird 78 a 102) & Cyrille Bougot (TB 102), Daniel Poiraud (TB 68 a 91), Yannick (TB 45 a 60);
* URL: [Manual de usuario][4] ;
  [Historial de cambios en RPTools.org][5] ;
  [Contacto en francés e inglés][6] ;
* Descarga la [versión estable][1];
* Descarga la [Última versión en RPTools.org](https://www.rptools.org/?p=8610);
* Compatibilidad con NVDA: 2019.3 y superior;
* Compatibilidad con Thunderbird: versiones 102.x;
* [Código fuente en GitHub][2];

<br>

## Descripción

Este complemento mejora enormemente la comodidad y la eficiencia del uso del cliente de correo electrónico Mozilla Thunderbird con NVDA.

Las mejoras se relacionan con los siguientes aspectos:

### Confort auditivo

* Las alertas  "fulano ha solicitado que se le notifique cuando Vd. lea este mensaje." se puede desactivar a través de una opción;
* Las alertas "Este mensaje es un borrador" y "Thunderbird piensa que este mensaje es correo basura" simplemente se ignoran; 
* Las opciones permiten desactivar el anuncio de los nombres de las listas de correo, eliminar o agrupar las menciones "RE" y depurar los nombres de los correspondientes eliminando los números y otros caracteres especiales incómodos;  
 
### Navegación en la ventana principal

* Pasar al siguiente panel se realiza con la tecla TAB, mientras que la tecla Escape le permite volver al panel anterior. Esto es más cómodo que F6 y Shift+F6. 
* La selección de pestañas con Control+Tab y Control+ un número con verbalización como en este ejemplo: Pestaña 1 de 4, Bandeja de entrada; 
* Un atajo de teclado le permite enumerar las pestañas en un menú para activar una de ellas fácilmente;
* Un atajo de teclado le permite mostrar el menú contextual de la barra de pestaña;

### Carpetas en vista de árbol

* Alt+ flecha abajo y Alt+ flecha arriba le permiten navegar entre carpetas con mensajes no leídos;
* Al escribir una letra o un número se selecciona la siguiente carpeta cuyo nombre comienza con el carácter escrito. Con la tecla Shift, el desplazamiento se efectua de abajo hacia arriba. Además, se anuncia el nombre de la cuenta a la que pertenece  la carpeta;
* La tecla Espacio  en una carpeta con mensajes no  leídos selecciona el primer mensaje no leído de la lista;
* Dos cuadros de diálogo de cuentas y sus carpetas asociadas permiten filtrarlas por palabras clave o mostrar solo las carpetas con mensajes no leídos;

### Lista de mensajes

* La elección de las columnas, así como su disposición en la lista de mensajes, se hace accesible a través de un simple diálogo;
* Consulta de las columnas de la lista de mensajes: permite volver a escuchar, deletrear o copiar fácilmente el nombre del remitente, el asunto o la fecha de un mensaje pulsando un número en el teclado alfanumérico: por ejemplo, 1 o & anuncia el remitente, 2 pulsaciones deletrea el nombre y 3 pulsaciones lo copia al portapapeles;
* Consulta de cabeceras del panel  de cabeceras que se muestra con F8: con Alt+ un número, 1 pulsación verbaliza una cabecera que contiene las direcciones del remitente o de los destinatarios, 2 pulsaciones  abre un diálogo que permite copiarlas, 3 pulsaciones abre el menú contextual nativo de Thunderbird asociado con la cabecera;
* Vista rápida depurada del texto del mensaje con espacio, Alt+ flecha abajo o F4: los grandes bloques de cabeceras en las citas de los mensajes se reemplazan con la expresión "Nombre del remitente escribió". NVDA también anunciará "enlace cliqueable" en lugar de la larga dirección del enlace.
* Vista rápida de citas en su orden cronológico, de abajo hacia arriba, mediante Shift+Espacio, Alt+ flecha arriba o Shift+F4;
* Fácil acceso a los adjuntos mediante el atajo Alt+ avance página o el número 1 del teclado alfanumérico; 

<!-- Translators: etiquetas = tags -->
### Barra de filtrado rápido y Administrar etiquetas de prioridad

* Es posible navegar entre las opciones de filtrado usando las flechas verticales. La tecla Intro le permite marcar o desmarcar una opción;
* La adición o eliminación de etiquetas se realiza simplemente pulsando Shift+ un número en el teclado alfanumérico. Por ejemplo, pulse  4 para agregar la etiqueta "Por hacer" a un mensaje. Luego puede filtrar la lista de mensajes por etiquetas a través de la barra de filtrado rápido que ahora es accesible;


### Ventana de Escribir un mensaje

Alt+ 1 anuncia el remitente, Alt+ 2 el destinatario, Alt+ 3 los adjuntos, etc. Dos pulsaciones colocan el foco en uno de estos campos;

### Diálogo de Revisar ortografía:

*	 la palabra mal escrita se anuncia antes de la palabra sugerida. Los atajos NVDA+Tab o Alt+ flecha arriba anuncian las palabras mal escritas y de reemplazo: pulsando una vez deletreará las palabras a velocidad normal, pulsando dos veces deletreará rápidamente, pulsando tres veces copiará   la palabra mal escrita al portapapeles para su análisis en otro campo de edición; 
* varias combinaciones de la tecla intro que permite un accionamiento de los botones Reemplazar, Reemplazar todo, Ignorar, Ignorar todo o Añadir palabra para que este diálogo sea más cómodo; 

### Actualización automática

ThunderBirdPlus tiene un sistema de actualización automática independiente con opciones de desactivación / reactivación y aplazamiento;

### Funcionamiento en dúo con Chichi

ThunderbirdPlus está previsto para funcionar armoniosamente con Chichi, un complemento que se instala directamente en Thunderbird.

Lea sobre este tema yendo a la [página de Chichi](https://www.rptools.org//Outils-DV/thunderbird-chichi-es.html);

### Acerca de los Idiomas

Algunas características no funcionarán correctamente si ThunderbirdPlus no se traduce al idioma que se usa para NVDA y Thunderbird.

* las alertas no serán interceptadas. Estas son alertas de borrador, de solicitud de acuse de recibo, de correo basura, de actualización, etc. ;
* la mejora del funcionamiento de la búsqueda de complementos  para Thunderbird no funcionará;

Hasta la fecha, el complemento está disponible en los siguientes idiomas:

[Versión original en Francés](https://www.rptools.org/NVDA-Thunderbird/ThunderbirdPlus_fr.html) : por el desarrollador;

Traducciones por orden de antigüedad:

* [Portugués](https://www.rptools.org/Outils-DV/NVDA-ThunderbirdPlus-pt_PT.html) : por Rui Fontes de TifloTecnia.com y miembro del equipo de NVDA Portugal;
* [Español](https://www.rptools.org/Outils-DV/NVDA-ThunderbirdPlus-es.html) : por Rémy Ruiz;
* [Inglés](https://www.rptools.org/Outils-DV/NVDA-ThunderbirdPlus-en.html) : por Bachir Benanou;

Gracias a los traductores.

<a name="navpanels">

## Navegación entre los paneles de la pestaña de mensajes (Tab, Escape)

Esta es la pestaña que contiene los siguientes paneles: Vista en árbol, lista de mensajes y texto del  panel de cabeceras y vista de mensajes (mostrado o oculto con la tecla F8).   

* TAB: pasa al siguiente panel. Este atajo será más ergonómico que F6;
* Escape: volver al panel anterior. Equivalente a Shift+F6;

Observación: 

Durante la tabulación a partir de la lista de mensajes para alcanzar el texto, el campo de cabeceras se omite. Para alcanzar este campo de cabeceras, pulse Alt+ un número del teclado alfanumérico tres veces seguidas y luego Escape para salir del menú contextual de la cabecera.  Estos atajos Alt+ número reducen la necesidad de ir al campo de cabeceras. Para más detalles, ver la sección "Consulta de cabeceras" más abajo.  


<a name="threadTree">

## Lista de mensajes, el panel de vista y la ventana separada de lectura

Algunos de los siguientes atajos son comunes a estos tres contextos, otros se refieren a un contexto particular.

<a name="attach">

### Acceso a los adjuntos (Alt+ Avance página)

* Alt+ Avance de página o Alt+ p: si se muestra el panel de vista (mediante F8), abre la lista de adjuntos del mensaje seleccionado;
* Alt+ 9 o el número 1 o 2: solo desde la lista de mensajes, una pulsación indica el número de adjuntos, dos pulsaciones abre la lista de adjuntos;

<a name="readPreview">

### Lectura rápida y depurada de mensajes

* Las órdenes para leer rápidamente un mensaje están disponibles en tres contextos: desde la lista de mensajes, desde un mensaje abierto en una pestaña o en una ventana separada;
* Ahora todos son compatibles con los mensajes de Framalistes;
* La mayoría de los atajos de teclado de lectura rápida se han concentrado para minimizar el movimiento de las manos durante una sesión de lectura de muchos mensajes;
* Una sola pulsación sobre la tecla principal de un atajo inicia la lectura depurada del mensaje, es decir, con las cabeceras de citas altamente acortadas.
* Una doble pulsación inicia la lectura del mensaje en su forma original. El término "lectura sin filtrar" es sinónimo;

<a name="readFromList">

#### Lectura rápida de los mensajes de la lista sin salir de ella (Espacio, F4 o Alt+flecha abajo)

Para aprovechar esta función, primero debe mostrar el panel de lectura de mensajes con la tecla F8. Al pulsar esta tecla, escuchará si este panel está presente o ausente;

Luego colóquese en la lista de mensajes y use las siguientes teclas:

* Espacio, Alt+ Flecha abajo  o F4: lectura  del cuerpo del mensaje sin salir de la lista. Después de la lectura de un mensaje, pulse la flecha abajo y luego Espacio o Alt+ flecha abajo o F4 para escuchar el siguiente mensaje;
* Con una doble pulsación,  muestra la lista de enlaces contenidos en el mensaje si Chichi está activo. Si se selecciona  un artículo del feed RSS, se abrirá en el navegador web;
* Shift+ espacio, Alt+ Flecha arriba o Shift+ f4: lo mismo pero la lectura de citas en orden cronológico (de abajo hacia arriba);

Y para completar las órdenes disponible desde la lista de mensajes, citemos aquí:

* letra n o Alt+ Flecha derecha: seleccionar el siguiente mensaje no leído, incluso entre carpetas;
* Alt+ Avance de página o Alt+ p desde la lista de mensajes: le permite llegar directamente al campo de adjuntos, sin tener que tabular en el texto;  

<a name="readFromWinTab">

### Lectura rápida de un mensaje en una ventana separada o una pestaña de mensaje (F4 o Alt+Flecha abajo)

Al abrir un mensaje en una nueva ventana, el cuerpo del mensaje se lee automáticamente por defecto. Sin embargo, los siguientes atajos le permiten escuchar el mensaje en cualquier momento.

* F4 o Alt+ flecha abajo: lectura rápida del cuerpo del mensaje;
* Shift+F4 o Alt+ flecha arriba: igual pero al revés;

Observaciones:

Como recordatorio,  una doble pulsación en estos atajos inicia la lectura del mensaje original;
* La lectura automática puede bloquear NVDA en algunas PC, especialmente si la cuenta está configurada en IMAP. En un intento de resolver este problema, el atajo Alt+ d abre un cuadro de edición que le permite alargar la duración entre la apertura de la ventana y el inicio  de la lectura automática;<br>
Si el ajuste de esta duración no resuelve el problema, puede deshabilitar esta lectura automática a través del menú Shift+Ordinal / Opciones para la ventana principal / ventana separada de lectura: no leer automáticamente el mensaje si provoca bloqueos de NVDA;
* Para aprovechar al máximo la lectura depurada y al mismo tiempo protegerlo del contenido remoto que no respeta su privacidad, muestre el cuerpo de los mensajes en HTML simple. Para ello abre el menú Ver, baja hasta Cuerpo del mensaje como y en el submenú valida la opción HTML simple.


Consulta de columnas y cabeceras:

Se debe hacer una distinción aquí entre columnas y cabeceras: la palabra "columna" se usa a continuación para designar el valor de una celda de una línea en la tabla de mensajes. La palabra "cabecera" se refiere al mensaje en sí. Las cabeceras se pueden consultar tanto en el panel de vista del mensaje como en la pestaña o ventana separada de un mensaje abierto;

<a name="readCols">

### Consulta de columna: un número del teclado alfanumérico

Estas teclas afectan únicamente a las columnas de la lista de mensajes. Pulse un número en el teclado alfanumérico sin pulsar la tecla Shift:
* Una simple pulsación: indica el nombre y el valor de la columna correspondiente;
* Pulsando dos veces un número: deletrea el valor de la columna correspondiente;
* Tres pulsaciones rápidas: copia el valor de la columna al portapapeles. Para copiar las direcciones de los distintos remitentes y destinatarios, utilice la consulta de las cabeceras visto más abajo; 

<a name="readHeaders">

### Consulta de cabeceras: Alt+ un número del teclado alfanumérico

Estos  atajos se pueden usar desde la ventana principal si se muestra el panel  de vista (mediante F8) y desde la pestaña o ventana separada de un mensaje abierto. Una pulsación verbaliza la cabecera y dos pulsaciones muestra un menú contextual según sea el caso;

* Alt+ 1: anuncia el nombre del remitente y su dirección de correo electrónico, pulsando dos veces se abre un cuadro para editar estos valores. Puede editarlos y luego pulsar Intro para copiarlos al portapapeles. 3 pulsaciones: abre el menú contextual de la cabecera;
* Alt+ 2: asunto con el nombre de la lista de correo si aplica;
* Alt+ 3: fecha del mensaje;
* Alt+ 4 Para: destinatarios principales del mensaje, si hay varios destinatarios, 3 pulsaciones posiciona el foco en el primer destinatario, luego la tecla tab  le permite pasar al siguiente, la tecla aplicaciones  en cada destinatario muestra el menú contextual;
* Alt+ 5: destinatarios en Cc; 
* Alt+ 6: destinatarios en Cco;;
* Alt+ 7: dirección "Responder a";
* Alt+ 8: agente de usuario, si las cabeceras todas están habilitadas mediante el menú Ver / Cabeceras / Todas; 
* Alt+ 9: 1 pulsación anuncia el número de adjuntos, 2 pulsaciones abre la lista de adjuntos;
* Alt+ 0: lista de etiquetas de prioridad colocadas en el mensaje;
* Alt+ cerrar paréntesis o Alt+ fin: indica una versión abreviada de la barra de estado: número de mensajes no leídos, número total de mensajes, así como la expresión de filtrado rápido; 
* Alt+ igual: abre el menú contextual de las pestañas;
* Control+ igual: muestra la lista de pestañas abiertas en un menú que le permite seleccionar la pestaña elegida;

<a name="tags">

### Agregar y eliminar etiquetas de prioridad: Shift+un número del teclado alfanumérico

Esta función le permite marcar un mensaje como "Importante" o "Por hacer", por ejemplo. Luego, la barra de filtrado rápido permitirá mostrarle solo los mensajes con una o más etiquetas. Por ejemplo, mostrar solo los mensajes importantes en la lista de mensajes;

Para comprobar las etiquetas ya colocadas en el mensaje, pulse Alt+ 0 en el teclado alfanumérico. 

Para agregar o eliminar una etiqueta, pulse Shift+ un número del 1 al 9; 


<a name="qfb">

### Barra de filtrado rápido, (letra f o Control+Shift+K)

* letra F o Control+Shift+K: muestra la barra de filtrado rápido de mensajes en la carpeta actual;
* Filtrado por palabra clave: ingrese una palabra clave y luego pulse Tab para navegar por la lista filtrada con las flechas;
* La flecha abajo  desde el campo de edición por palabras clave le brinda acceso a la lista de opciones de más abajo: 

    * 1: Mantener filtros aplicados al cambiar de carpetas c
    * 2: Mostrar sólo los mensajes no leídos l
    * 3: Mostrar sólo los mensajes con estrella
    * 4: Mostrar sólo los mensajes de personas en su libreta de direcciones d
    * 5: Mostrar sólo los mensajes con etiquetas en ellos é
    * 6: Mostrar sólo los mensajes con adjuntos j
    * etc.

* Pulse Intro para activar o desactivar uno o más de estos criterios;
* Alt+ fin o Alt+ igual: permite escuchar un resumen de los filtros activos así como el número de mensajes filtrados. Ambos atajos también funcionan desde la lista de mensajes, no solo desde la barra de filtrado rápido;

<br>
- Cuando un filtro rápido está activo, un archivo de audio WAV se reproduce cuando la lista o pestaña a la que pertenece recibe el foco. El sonido se asemeja a una respiración;<br>
El archivo filter.wav se encuentra en la carpeta:<br> 
"%appdata%\\NVDA\\TB+sounds" <br>
Puedes colocar ahí un sonido a tu gusto siempre y cuando tu archivo se llame: filter.wav. Después debes reiniciar NVDA para que estos cambios tengan efecto;

<a name="tagFilter">

#### Filtrado por etiqueta

cuando el foco está en el campo de edición de la barra de filtrado rápido:

*  Pulse la flecha abajo hasta que escuche "Etiquetas" luego pulse Intro para marcar esta opción;
*  Luego pulse la tecla Tab para acceder al cuadro combinado de modos de filtrado por etiquetas. Por ejemplo, si elige "Por hacer", solo los mensajes etiquetados como "Por hacer" aparecerán en la tabla de mensajes;

<a name="colLayout">

### Organizar columnas (Alt+c)

El atajo Alt+c muestra un diálogo que le permite modificar el orden de las columnas de la lista de mensajes y agregar o eliminar columnas.

Para usarlo, colóquese primero en la lista de mensajes o en las carpetas en vista de árbol y luego pulsa Alt+ c;

Aparece el diálogo de  Organizar columnas. Consiste en la lista de columnas, así como los botones "Ayuda", "columnas" y "Cerrar".

El botón "Columnas..." muestra el menú "Seleccione las columnas que desea mostrar" nativo de Thunderbird  

Cuando está en la lista de columnas, están disponibles los siguientes atajos:

* Flecha izquierda: muestra el menú de casilla de verificación denominado "Seleccione las columnas que desea mostrar". Este atajo corresponde al botón "Columnas...";
* Espacio: para mover la columna seleccionada, pulse espacio y luego coloquese en otra columna y pulse espacio nuevamente para colocar la columna allí. Esta operación es similar a un cortar y pegar;

También tienes estos atajos de desplazamiento directo:

* Control+ flecha arriba o flecha abajo: sube o baja la columna seleccionada de una unidad;
* Control+ Inicio o Fin: mueve la columna seleccionada en la parte superior o inferior de la lista;
* Control+ Retroceso página o Avance página: sube o baja la columna seleccionada de tres unidades;

Para hacer estos desplazamientos, las columnas se mueven en realidad moviendolas realizando un arrastrar y soltar con el ratón. Un pitido de audio de un milisegundos ocurre cada 10 desplazamientos del puntero;

Cuando está presente el menú "Seleccione las columnas que desea mostrar" tienes  los siguientes nuevos atajos de teclado:

* Flecha derecha: muestra el diálogo Organizar columnas;
* Espacio: marca o desmarca la columna seleccionada en el menú. La tecla Intro todavía produce el mismo comportamiento;

Con las flechas izquierda y derecha, es muy fácil de cambiar entre el menu para seleccionar las columnas y el diálogo para organizar sus columnas;

<a name="smartReply">

### SmartReply: responda a todas las listas de correo pulsando Control+r

Si eres de los que olvida pulsar Control+Shift+l para responder a un mensaje de lista como GoogleGroups, esta función te salvará de responder en privado al remitente de un mensaje sin darse cuenta.
 
Siempre puedes pulsar Control+r de la siguiente manera:

* con una simple pulsación: para responder a la lista;
* con una doble pulsación: para responder en privado al remitente del mensaje;
* con una simple pulsación: para responder al remitente de un mensaje que no proviene de una lista;

Observaciones: 

La distinción entre una simple o una doble pulsación en estos atajos funciona en GoogleGroups, Framalistes y FreeLists.

Con una sola pulsación, en una de estas tres listas, escuchará "A la lista" antes de que se abra la ventana de Escribir. 

También será recomendable no utilizar la órden "Responder a todos" para responder a una lista para que el remitente no reciba su respuesta en privado; 

Y finalmente, si quieres volver al comportamiento habitual de Control+r:

* Pulsa Shift+Ordinal para mostrar el menú de Opciones;
* Selecciona "Desactivaciones para Chichi y para Thunderbird+ submenú";
* Pulsa Intro para desmarcar "Lista de mensajes: no SmartReply";

### Atajos a, j, m con verbalización

* a: Archivar este mensaje, con verbalización. Pulse Control+z para cancelar esta operación;
* j: marque este mensaje como correo no deseado, con verbalización;
* Shift+j: marque este mensaje como correo legítimo, con verbalización;
* m: marca los mensajes seleccionados como no leídos. Shift+m los marca como leídos; 

<a name="folderTree">

## Carpeta en vista de árbol

<a name="unreadFolders">

### Navegación rápida entre carpetas que contienen mensajes no leídos (Alt+Flecha abajo, Alt+Flecha arriba)

Cuando esté  En las carpetas en vista de árbol, puede pulsar:

* Alt+flecha abajo: para ir a la siguiente carpeta con mensajes no leídos;
* Alt+flecha arriba: para ir a la anterior carpeta con mensajes no leídos;
* Espacio, Chichi no instalado: si la carpeta seleccionada contiene mensajes no leídos, selecciona el primer mensaje no leído de la lista;
* Espacio, Chichi instalado: ídem excepto que si la carpeta no incluye mensajes no leídos, Chichi mostrará la lista de carpetas no leídas.<br>
Al pulsar  Intro en una carpeta no leída en esta lista, el primer mensaje no leído  de esta carpeta se activará en la lista de mensajes; <br>
Esto le permite ver rápidamente qué carpetas han recibido mensajes antes de decidir desde cuál desea comenzar a leer;<br>

En este sentido, vea también estos dos diálogos:

* Diálogo de listas filtradas de cuentas y carpetas (F12) 
* Lista de carpetas en la vista de árbol principal, según 4 tipos (F7, NVDA+F7 o Shift+F12)

Nota: Con una gran cantidad de carpetas, Chichi es instantáneo, a diferencia de estos dos diálogos; 

<a name="folderDlg">

### Diálogo de listas filtradas de cuentas y carpetas (F12)

Este cuadro de diálogo muestra las cuentas y sus carpetas asociadas en dos listas separadas. Puede filtrarlos en función de una palabra clave o restringir la lista de carpetas a aquellas con mensajes no leídos.

Configuración del modo de visualización predeterminado:

Si planea mostrar carpetas con mensajes no leídos solo la mayor parte del tiempo, primero colóquese en la carpetas en vista de árbol o la lista de mensajes, luego pulse el atajo Shift+Ordinal y en el submenú de opciones de la ventana principal, valide el elemento intitulado Mostrar solo carpetas con mensajes no leídos.

Uso básico del diálogo:

* Desde la ventana principal, pulse F12 para mostrar el cuadro de diálogo. 
* Si ha configurado la visualización predeterminada de carpetas con mensajes no leídos, estos se mostrarán en la lista denominada: Carpetas de cuentas;
* De lo contrario, todas las carpetas de todas las cuentas se incluirán en esta lista;
* Puede moverse en esta lista pulsando la primera letra del nombre de una carpeta;
* Tenga en cuenta que las carpetas que no se muestran  en la vista de árbol tampoco se mostrarán aquí. Esto sucede por ejemplo cuando las carpetas pertenecen a una cuenta contraido en la vista de árbol  de cuentas y carpetas;
* Si ha encontrado la carpeta que le interesa en esta etapa, pulse Intro en ella para seleccionarla en la vista de árbol. También puede pulsar Alt+i para simular un simple clic con el botón izquierdo en la carpeta o Alt+d para simular un simple clic con el botón derecho;


Cambiar modos de visualización:

* Para recordarte en cualquier momento en qué modo de visualización te encuentras, pulsa la tecla "Retroceso"   (backspace). Después de escuchar la información, pulse nuevamente esta tecla para regresar a la lista de carpetas;
* Para cambiar la visualización del modo "solo con carpetas no leídas" al modo "todas las carpetas" y viceversa, pulse F12;
* En el modo "todas las carpetas", las cuentas se muestran en la lista de la izquierda y las carpetas de la cuenta seleccionada en la de la derecha. Para pasar de una lista a otra, utilice las flechas izquierda y derecha;
* se selecciona una cuenta virtual denominada "Todas las cuentas" y se coloca el foco en la lista de carpetas que contiene todas las carpetas de todas las cuentas. Para cada carpeta de esta lista se menciona el nombre de la cuenta a la que pertenece;


Usando el filtrado por palabras clave:

* De antemano, lo más probable es que tengas que cambiar al modo "todas las carpetas" como se explicó anteriormente;
* A continuación, puede utilizar las teclas "Retroceso página" y "Avance página"; 
* Desde una lista, pulse la tecla "Retroceso página" para volver al campo de edición de la expresión de filtrado;
* Ingrese una expresión y luego valide con la tecla "Avance página"; " para realizar el filtrado;
* Los resultados se muestran en la lista de carpetas. Si no se encontraron carpetas, escuchará: Ningún resultado. Si no lo esperaba, es posible que haya olvidado cambiar al modo de visualización de todas las carpetas;
* Finalmente, pulse Intro en la carpeta deseada para seleccionarla en las carpetas en vista de árbol. Como se mencionó anteriormente, puede simular un clic izquierdo o derecho en la carpeta pulsando Alt+i o Alt+d;


#### Exclusión de algunas carpetas de la lista de carpetas con no leídos

Como se mencionó anteriormente, puede excluir las carpetas a las que rara vez o nunca accede de la lista de carpetas con mensajes no leídos.

Todo lo que tiene que hacer es cambiar el nombre de una carpeta para excluirla agregando un guión al final de su nombre.

Es necesario señalar aquí que si esta carpeta renombrada formaba parte de un filtro de mensajes, Thunderbird modificará automáticamente este filtro para tener en cuenta este cambio.


<a name="foldersList">

### Lista de carpetas en vista de árbol principal, según 4 tipos (F7, NVDA+F7 o Shift+F12)

Cuando está en las carpetas en vista de árbol o en la lista de mensajes, esta órden muestra un cuadro de diálogo con una lista de carpetas que pueden adoptar las siguientes cuatro presentaciones: 

* Solo con mensajes no leídos (lista plana), Alt+n;
* Todas las carpetas (lista plana), Alt+t;
* Solo con mensajes no leídos (en vista de árbol completa), Alt+o;
* Todas las carpetas (en vista de árbol completa), Alt+d;


Para carpetas con mensajes no leídos, Borradores, Papelera y carpetas con nombres que terminan en un guión se excluyen de la lista;

Para activar uno de estos tipos, puede pulsar el atajo de teclado asociado o -shift+Tab y luego las teclas de flecha para cambiar de modo.

El tipo elegido se almacenará y activará la próxima vez que se muestre este cuadro de diálogo;

También puede filtrar la lista por palabra clave. Pulsa Tab o Alt+e vacía para llegar al campo de edición.

La navegación en una lista plana o en una vista de árbol se realiza con las flechas arriba y abajo, así como con la inicial del nombre de una carpeta;

Para activar la carpeta seleccionada en la vista de árbol principal, simplemente pulse  Intro en ella.

Sugerencia: si pulsó Intro en una carpeta con mensajes no leídos, pulse Espacio para seleccionar el primer mensaje no leído en la tabla de mensajes;
<br>
Nota:

Los atajos de teclado que abren este cuadro de diálogo se pueden eliminar y se puede agregar otro a través del cuadro de diálogo  Configuración de Gestos de Entrada de NVDA. Proceder de la siguiente manera:

* Primero coloque la ventana de Thunderbird en primer plano;
* Abre el menú de NVDA y selecciona "Preferencias";
* En el submenú, validar en: Gestos de Entrada";
* En el diálogo, pulsa la letra t hasta que escuches: Thunderbird;
* Pulsa flecha derecha para expandir esta rama;
* Desplácese hacia abajo hasta el elemento: "Mostrar la lista de carpetas en vista de árbol principal de Thunderbird, según varios tipos. contraido 2 de 4 nivel 1" y luego pulsa flecha derecha para expandir este nivel;
* Tabular hasta el botón "Añadir", validar y luego pulsa un gesto de entrada en el nuevo cuadro de diálogo;
* Pulsar Intro para validar su elección;
* De vuelta en la lista de las teclas de órdenes, comprueba la presencia de su nuevo gesto de entrada;
* Cierre el cuadro de diálogo mediante el botón Aceptar.

<a name="alerts">

## Alertas accesibles

Alertas que requieren su intervención: los botones son accesibles y se puede navegar entre ellos con las teclas de flechas:

* instalación de complementos para Thunderbird: se selecciona el botón "Instalar" y simplemente pulse Intro en él para continuar la instalación;
* Nueva actualización de Thunderbird: esta alerta también es accesible;
* Solicitud de un acuse de recibo del mensaje: esto se puede ignorar a través de una opción del menú Shift+Ordinal / opciones para la ventana principal;
* Bloqueo al mostrar los contenidos remotos en los mensajes: se selecciona el botón de "Opciones" y se agrega la siguiente frase al mensaje: Sugerencia: Abra el menú Ver, baja hasta Cuerpo del mensaje como y valida HTML simple en el submenú. Al aplicar la configuración propuesta, esta alerta ya no se mostrará;

Alertas que interfieren con la exploración de la lista de mensajes:

* Alerta "Este mensaje es un borrador": esta alerta inútil se elimina;
* "Thunderbird piensa que este mensaje es correo basura": esta alerta se reemplaza por dos tonos cortos con una frecuencia cercana a la voz humana (200 Hertz). Para que el mensaje sea Como correo legítimo  o Como correo no deseado, pulse la tecla Ordinal y seleccione la acción deseada del submenú "Alerta";

<a name="tabs">

## Atajos de teclado de las pestañas

Además de las nuevas órdenes, las pestañas se anuncian como en este ejemplo: Pestaña 1 de 4, Bandeja de entrada.

* Control+Tab y Control+Shift+Tab: ir a la pestaña siguiente o anterior;
* Control+un número: selecciona la pestaña correspondiente al número de orden en la barra de pestañas. Si pulsa un número mayor que el número de pestañas abiertas, se  ubicará en la última;
* Control+ igual: muestra la lista de pestañas abiertas en un menú. Pulsa Intro en el nombre de una pestaña para ubicarse en ella; 
* Alt+igual: muestra el menú contextual de la barra de pestañas. En particular, incluye las órdenes: Cerrar la pestaña activa y Cerrar  mis otras pestañas;  
* Control+w, Control+retroceso o Control+F4: cierra la pestaña activa; 
* Control+j: abre la pestaña "Archivos guardados" que agrupa los adjuntos y las descargas guardadas en su disco duro;

<a name="tabAddons">

## Pestaña de Complementos

El complemento facilita la búsqueda e instalación de complementos para Thunderbird.

* En la pestaña "Complementos", Ingrese un nombre de complemento luego pulsar Intro;
* El complemento esperará a que se abra la pestaña de Búsqueda de resultados y luego intentará seleccionar el primer complemento encontrado;
* Más concretamente, puede leer el ejemplo de [Instalación del complemento Start With Inbox](#stwInstall);

<!-- Translators: ventana de Escribir = Write window -->
<a name="writeWnd">

## Ventana de Escribir

Cuando se abre la ventana de Escribir, no se nota nada especial, aunque están disponibles los siguientes atajos de teclado:

* Escape: vuelve a cerrar la ventana de Escribir;
* Consulta de cabeceras de Escribir: una pulsación con Alt+un número anuncia la cabecera, dos pulsaciones da el foco al campo de edición correspondiente:<br>
Alt+ 1: remitente: una de sus direcciones de correo electrónico que aparece en la lista de sus direcciones de correo electrónico;<br>
Alt+ 2: Para :<br>
Alt+ 3: los nombres de los adjuntos. Dos pulsaciones dan el foco a la lista de adjuntos;<br>
Los otros números dan acceso a las cabeceras opcionales como: Cc, Cco, y Responder a;
* Ordinal en el texto del mensaje: muestra el siguiente menú contextual: - Barra de herramientas de correo y luego en el submenú: Enviar e, Cifrar c, Ortografía o, Guardar g, Adjuntar a<br>
Formato luego en el submenú: (Estilo de texto) Párrafo, Aplicar o eliminar lista no numerada, Aplicar o eliminar lista numerada, Tipo de letra, Alinear, Insertar un enlace, enlace con nombre, imagen, línea horizontal o tabla .

<br>
Nota: Este menú se obtiene pulsando una o dos veces la tecla Ordinal dependiendo del ajuste en el menú de opciones para la ventana de Escribir obtenido pulsando una o dos veces rápidamente Shift+Ordinal;

<a name="spellDlg">

### Diálogo de Revisar ortografía: F7

Se agregaron atajos de teclado que restringen el movimiento de la mano. Cuando el foco está en el  campo de edición de la palabra de reemplazo, puede pulsar los siguientes atajos de teclado:

* Intro: accionamiento del botón "Reemplazar";
* Shift+Intro: accionamiento del botón "Reemplazar todo";
* Control+Intro: accionamiento del botón "Ignorar";
* Shift+Control+Intro: accionamiento del botón "Ignorar todo";
* Alt+ Intro: accionamiento del botón "Añadir palabra" ;


Para recordar estas combinaciones de teclas Intro,  Control se refiere al accionamiento  de "Ignorar" y la presencia de Shift "todas las ocurrencias".".


Además, el atajo Alt+ flecha arriba deletrea las palabras:

* 1 pulsación deletreará las palabras a velocidad normal;
* 2 pulsaciones deletreará rápidamente las palabras;
* 3 pulsaciones copiará   la palabra mal escrita al portapapeles para su análisis en otro campo de edición;

<a name="virtspell">

## Modo mejorado para revisar la ortografía mientras escribes (w, NVDA+F7)
A pesar de las epelaciones añadidas al cuadro de diálogo de Revisar ortografía, a veces es necesario cerrar el cuadro de diálogo para escuchar el contexto de la falta en el texto. Hecho esto, este diálogo reinicia la revisión desde el principio y se detiene de nuevo en las palabras que habíamos ignorado voluntariamente anteriormente.

Al revisar la ortografía mientras escribes evita estos inconvenientes, pero puede distraer al redactor(a) debido al anuncio "Faute d'orthographe". 
Para no distraerse por los errores ortográficos al escribir, este modo de revisión se ha mejorado al agregar tres atajos de teclado:

Antes de activarlos, es necesario cambiar al modo Exploración pulsando: NVDA+espacio;

* w y -shift+w ir al error siguiente y anterior respectivamente;
* NVDA+F7 para mostrar la lista de errores. Solo necesita pulsar Intro en un error para alcanzarlo en el texto;

Este modo de funcionamiento le permite deshabilitar el anunciado de los errores de ortografía por NVDA;

Antes de usar este modo mejorado para revisar la ortografía mientras escribes, es necesario realizar una pequeña configuración.

### Configuración preliminar
1: En Thunderbird Activar corrección ortográfica al escribir en las preferencias: 

* En la ventana principal, abra el menú Opciones, desplácese hacia abajo hasta Preferencias y valide;
* En la pestaña de Preferencias, tabula   para llegar al cuadro de búsqueda de opciones, introduzca la palabra "orto" y luego pulse Tab;
* En los resultados, tabula puis marca la casilla de verificación llamada: "Activar corrección ortográfica al escribir";
* Finalmente cierre la pestaña de Preferencias con Control+w o Control+Retroceso;

2: Desactiva el anunciado de los errores de ortografía en NVDA
Este ajuste es, por supuesto, opcional. Si prefiere escuchar el anunciado de un error de ortografía, también puede acortar este anuncio reemplazando en su Diccionarios del habla "Error de ortografía" por "graf", por ejemplo;

Para desactivar este anuncio:

* Abre el menú de NVDA, Preferencias y valida en:  Opciones;
* En el cuadro de diálogo de Opciones, vaya a la categoría "Formateado de Documento";
* Tabula hasta que oiga: "Errores de ortografía" luego pulse la barra espaciadora para desmarcar esta opción;
* Cerrar el cuadro de diálogo validando en el botón Aceptar;

### Usando los atajos w, -shift+w y NVDA+F7

* Antes de usar estos atajos, primero debe activar el modo exploración pulsando NVDA+espacio;
* Luego pulse la letra w para pasar al siguiente error o -shift+w para pasar al error anterior o pulse NVDA+F7 para seleccionar la palabra a corregir de una lista;
* Cuando se selecciona la palabra incorrecta en el texto, puede pulsar la tecla Aplicaciones para mostrar el menú contextual de sugerencias de reemplazo; 
* También puedes escuchar fácilmente la frase que contiene la palabra errónea antes de corregirla;
* Para corregir manualmente una palabra, primero pulsa NVDA+espacio para volver al modo foco;

<a name="menus">

## Menús de opciones y órdenes de ThunderbirdPlus

<a name="optMenu">

### Menú de Opciones (Shift+Ordinal)


Opciones para la ventana principal:

* Agrupar múltiples menciones 'RE' en una sola: por ejemplo, Re: Re: Re: se transformará en 3Re: ;
* Eliminar las menciones 'RE' en la columna de asunto s:
* Eliminar los 2 puntos en las menciones 'RE':
* Limpiar los nombres de los correspondientes en la lista de mensajes: elimine números y algunos caracteres especiales para que escuchar los nombres de los correspondientes sea menos agotador;
* Agregar una puntuación entre columnas: se agrega una coma entre ciertas columnas para marcar una pequeña pausa entre ellas al anunciar una línea de la lista de mensajes;
* Ocultar nombres de listas de correo: suprime el anuncio del nombres de la listas entre corchetes o llaves para una escucha más placentera cuando se usa una carpeta diferente para cada lista de correo. De lo contrario, el nombre de una lista de correo se dice una sola vez si aparece más de una vez en el asunto de un mensaje;
* Editar palabras para ocultar en el asunto de los mensajes: abre un cuadro de edición que le permite agregar o eliminar palabras para que no sea anunciado en el asunto de los mensajes. Por ejemplo, agregue * para que *** Spam *** sea anunciado como Spam;
* Anunciar 'correo no deseado' si se muestra en la columna 'Estado de correo no deseado': si la columna "Estado de correo no deseado" está presente en la tabla de mensajes, esta opción permite o no anunciar "correo no deseado"; 
* Espacio en una carpeta con no leídos   busca el primer mensaje no leído desde el principio de la lista de mensajes: Por defecto, el script relativo a esta opción envía la órden "n" para seleccionar el siguiente mensaje no leído en la lista de mensajes. Thunderbird no selecciona necesariamente el primer mensaje no leído de la lista. Al marcar esta opción, el complemento seleccionará el primer mensaje no leído en la carpeta haciendo un desvío que se puede escuchar en algunos PC;
* No usar la navegación por inicial en las carpetas en vista de árbol: esta opción es útil si usa el complemento "Quick folder key navigation";
* Navegación por iniciales indirectas, a través de un campo de edición: muestra un cuadro de edición de nombre de carpeta tan pronto como pulsa una letra o número en las carpetas en vista de árbol. Si esta opción está deshabilitada, puede desplegar este cuadro de búsqueda pulsando la letra z; 
* Ignorar solicitud  de acuse de recibo: si esta opción está habilitada, el panel de solicitud de acuse de recibo se silenciará cuando se seleccione un mensaje en la lista de mensajes; 
* No emular Shift+F6 con escape: deshabilitar el uso de la tecla escape al navegar entre paneles en la ventana principal; 
* Mostrar solo carpetas con mensajes no leídos en el cuadro de diálogo  'Carpetas en vista de árbol' a: permite mostrar solo carpetas con mensajes no leídos cada vez que muestra este cuadro de diálogo mediante la tecla F12;
* Ventana separada de lectura: no leer automáticamente el mensaje si provoca bloqueos de NVDA: De forma predeterminada, al abrir un mensaje pulsando Intro desde la lista de mensajes, se inicia una lectura depurada del mensaje cuando se abre  una ventana nueva. En algunas computadoras y cuando la cuenta de correo electrónico está configurada en IMAP, NVDA puede bloquearse. Cuando esta opción está marcada, esta lectura automática se desactiva para evitar cualquier bloqueo.<br>
Si experimenta un bloqueo al abrir esta ventana, puede alargar la duración antes de que comience la lectura automática. Para hacer esto, pulse Alt+ d para ingresar otro valor. Si no puede eliminar este bloqueo,, marque entonces esta opción; 

<br>
Opciones para la ventana de Escribir: 

* Revisar la ortografía: deletrear palabra mal escrita y palabra sugerida: esta opción modifica los anuncios en el diálogo de Revisar ortografía;
* Activar la mejora  de la corrección ortográfica al escribir: la órden relacionada con esta opción aún no funciona en la versión 2022.1 de NVDA;
* La tecla Escape cierra el mensaje que se está escribiendo; marcado l
* Una simple pulsación para mostrar el menú contextual, una doble pulsación  para escribir Ordinal o Shift+Ordinal o sus sustitutos: esta opción permite mostrar el menú contextual pulsando la tecla Ordinal, lo que será más práctico si rara vez escribe los caracteres Ordinal y Shift+Ordinal;

<br>
Opciones de actualización:

Esta opción le permite deshabilitar las actualizaciones automáticas de Thunderbird+  o volver a habilitarlas;

<br>
Desactivaciones para Chichi y para Thunderbird+:

El objetivo principal de estas opciones es permitir una buena coexistencia entre Thunderbird+ y Chichi evitando funciones duplicadas. Pero puede usarlos sin Chichi para responder a sus preferencias;

El término "carpetas" a continuación se refiere a las carpetas en vista de árbol;

* Carpetas: Espacio no selecciona el siguiente mensaje no leído en la lista y no muestra la lista de carpetas no leídas d: Chichi aún no tiene un equivalente independiente;
* Carpetas: sin navegación por iniciales d: al activar esta opción se usará Chichi. Solo funciona de arriba hacia abajo y no verbaliza el nombre de la cuenta a la que pertenece la carpeta activada; 
* Lista de mensajes: Espacio no lee el mensaje del panel de vista l: si se marca esta opción, Chichi verbalizará el mensaje del panel de vista. A diferencia de Thunderbird+, esta lectura no será depurada. Por otro lado, F4 y Alt+ flecha abajo seguirán  apelando a la lectura depurada de Thunderbird+; 
* Lista de mensajes: no SmartReply: desactiva la funcionalidad que permite responder a una lista de correo con Control+r mediante una simple pulsación o al remitente con Control+r mediante una doble pulsación;
* Lista de mensajes: no gestionar la barra de filtrado rápido: suprime el acceso a las opciones de filtrado con flecha abajo;
* Ventana principal: Tab no pasa al siguiente panel: esta opción se refiere a la navegación entre las carpetas en vista de árbol, la lista de mensajes y el panel de cabeceras y del mensaje;
* Ventana principal: restaurar el comportamiento predeterminado de la tecla escape. Esto se refiere en particular a la navegación entre  los paneles mencionados anteriormente;
* Permitir que Thunderbird se cierre con Control+w o Control+F4: al marcar esta opción, estos dos atajos cierran Thunderbird cuando solo queda una pestaña abierta. Este comportamiento  es molesto para algunas personas;

<br>
Copia de seguridad y restaurar las opciones:

* Guardar la configuración actual s: copia el archivo .ini del complemento en un archivo .inibak;
* Restaurar la configuración guardada r: copia el archivo .inibak al archivo .INI y recarga los parámetros;
* Reiniciar la configuración r: recarga la configuración del complemento predeterminado. De antemano, realiza una copia de seguridad si aún no existe;

<a name="cmdMenu">

### Menú de Órdenes (Ordinal)

* Elija y organice las columnas de la lista de mensajes: Muestra el menú de casilla de verificación Thunderbird llamado "Seleccione las columnas que desea mostrar". Desde un nombre de columna, pulse la flecha derecha para abrir el diálogo de Organizar columnas;
* Escriba al soporte: en Francés o Inglés. Este elemento abre una ventana de  Escribir dirigida previamente al soporte del complemento. Esto solo funciona si Thunderbird está configurado correctamente como su cliente de correo electrónico predeterminado;

<a name="startup">

## Mejora del inicio de Thunderbird

De forma nativa, tras el último cierre de Thunderbird, se inicia en la última pestaña activa y sin activar nada, lo que es bastante desagradable.

Para obtener un inicio cómodo, hay dos complementos que se instalan directamente en Thunderbird:

* Chichi desarrollado por Yannick: se recomienda este complemento porque ofrece muchas otras características de accesibilidad y que Thunderbird+ está diseñado para interactuar con él;
* Start with inbox: si no usas Chichi, este complemento hace un buen trabajo; 

<a name="chichi">

### Con Chichi

Para usar Chichi, lea   la sección Descargar e instalar y la sección Establecer carpeta de inicio desde la [página de Chichi](https://www.rptools.org//Outils-DV/thunderbird-chichi-es.html);

<a name="stwi">

### Con Start with inbox

A octubre de 2022, la última versión de este complemento para Thunderbird 102 es la 2.5.2.

Características:

* Instalación: a través de una búsqueda con su nombre en la pestaña "Complementos" de Thunderbird; 
* Carpeta de inicio: siempre la misma, la carpeta  Bandeja de entrada de la cuenta elegida en la configuración del complemento o la carpeta unificadas;
* Auto-focus: en el último mensaje de la lista de mensajes o en la carpeta "Bandeja de entrada" en vista de árbol, según la configuración en las opciones del complemento. Esta segunda opción está seleccionada por defecto; 
* Ajustes: acceso menos fácil. Debes ir a la pestaña Complementos, seleccionar "Start with inbox" en la lista de complementos instalados y luego pulsar Intro en el botón "Opciones del complemento", que abre una nueva pestaña "Settings Start with inbox",
<br>Un cuadro combinado le permite elegir la cuenta de correo electrónico para la cual se seleccionará la carpeta Bandeja de entrada  cuando se inicie Thunderbird,
<br>Tres botones de opción le permitirán elegir que se enfoque entre el último mensaje o el primer mensaje no leído en la lista de mensajes o la carpeta en vista de árbol;


<a name="stwInstall">
Instalación

* en Thundderbird, abra el menú "Herramientas" y luego valide  en: Complementos y temas;
* En la página Administrador de complementos, colóquese en el campo de búsqueda. En modo exploración, puede pulsar la letra e para llegar rápidamente;
* escribir: Start with Inbox y luego pulse Intro;
* Si se tiene Thunderbird+4, espera un momento a que se seleccione el complemento en la pestaña de Búsqueda de resultados;
* De lo contrario, seleccione manualmente la pestaña "Start with Inbox :: Búsqueda :: Complementos para Thunderbird", por ejemplo. Luego pulse la tecla 3 o comilla hasta llegar al   encabezado de nivel 3 que se anunciará con el nombre del complemento que ha buscado; 
* Con la flecha abajo, desplácese hasta el enlace "Agregar a Thunderbird" y luego pulse Intro en él;
* Siga el procedimiento y luego reinicie Thunderbird;
* Si todo salió bien, Thunderbird se abrirá en la pestaña principal y le dará el foco a la lista de mensajes;

Establecer opciones para Start with Inbox:

* Volver a la pestaña "Administrador de complementos";
* Si es necesario, salir del campo de búsqueda para ponerse en modo exploración;
* Pulse la tecla 3 tantas veces como sea necesario para llegar al encabezado de nivel 3 que se anunciará como "Start with Inbox" en la lista de complementos instalados;
* Luego valide en el botón: Opciones del complemento". Esto abre una nueva pestaña que se anunciará como: Start with Inbox, Settings ;
* Esto es lo que se muestra por defecto:

<!-- Translators: para el inglés, poner la sección "Interpretación  en español" en los comentarios para mostrar a otros traductores lo que deben hacer -->
En inglés:

Start with Inbox - Settings 

Please select the account, for which its inbox shall be displayed after start of Thunderbird. 

cuadro combinado: <su primera cuenta de correo electrónico>

Select and put the focus on:

bóton de opción cliqueable no marcado:the latest* message. 

bóton de opción no marcado cliqueable the inbox folder in the folder tree. 
vide
bóton de opción  marcado:the first unread message. 

\* Definition of "latest": The last message that was put into the inbox (independent from the date 
of the message). 

If the inbox contains no messages, the inbox folder in the folder tree will be selected and 
focused.


Interpretación en español: 

Start with Inbox - Ajustes;

Seleccione la cuenta cuya carpeta  Bandeja de entrada se mostrará cuando se inicie Thunderbird; 

cuadro combinado: <su primera cuenta de correo electrónico>

Seleccione y coloque el foco en:

bóton de opción cliqueable no marcado : el último mensaje de la lista;

bóton de opción no marcado cliquable La carpeta Bandeja de entrada en las carpetas en vista de árbol;

bóton de opción marcado :El primer mensaje no leído en la lista;

Si la carpeta Bandeja de entrada no contiene mensajes, esta carpeta recibirá el foco en las carpetas en vista de árbol; 


Después de realizar los ajustes, reinicie Thunderbird.


Lanzador de Thunderbird integrado con AltGr+Ordinal:

Para mayor comodidad y rapidez, puede iniciar Thunderbird pulsando AltGr+Ordinal. 

Este atajo de teclado se puede configurar a través del diálogo de Gestos de Entrada de NVDA que ofrece una mayor libertad de elección  de teclas modificadoras que los atajos de teclado de Windows, que están limitados a AltGr;

Siga estos pasos para agregar otro gesto de entrada:

* Primero coloque la ventana de Thunderbird en primer plano;
* Abre el menú de NVDA y selecciona "Preferencias";
* En el submenú, validar en: Gestos de Entrada";
* En el diálogo, pulsa la letra t hasta que escuches: "Thunderbird, Lanzador";
* Pulsa flecha derecha para expandir esta rama;
* Desplácese hacia abajo hasta el elemento: "Lanzar Thunderbird" y luego pulsa flecha derecha para expandir este nivel;
* Tabular hasta el botón "Añadir", validar y luego pulsar un gesto de entrada en el nuevo cuadro de diálogo;
* Pulsar Intro para validar su elección;
* De vuelta en la lista de las teclas de órdenes, comprueba la presencia de su nuevo gesto de entrada;
* Cierre el cuadro de diálogo mediante el botón Aceptar.

Observaciones:

* El lanzador de Thunderbird solo está diseñado para la versión instalada de Thunderbird cuyas rutas de Thunderbird.exe son predecibles.
* En una configuración de Windows 64 bits, el complemento no iniciará la versión de 32 bits de Thunderbird si ambas versiones, 64 y 32 bits, están instaladas en su sistema; 


[1]: https://github.com/RPTools-org/ThunderbirdPlus/releases/download/v4.9.5/thunderbirdPlus-4.9.5-TB102.nvda-addon

[2]: https://github.com/RPTools-org/ThunderbirdPlus/

[3]: https://www.rptools.org/?p=8610

[4]: https://www.rptools.org/NVDA-Thunderbird/ThunderbirdPlus_es.html#navpanels

[5]: https://www.rptools.org/NVDA-Thunderbird/changes.php?lg=es

[6]: https://www.rptools.org/NVDA-Thunderbird/toContact.html
